xorg (1:7.7.1+dde) unstable; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Fri, 03 Dec 2021 15:38:27 +0800

xorg (1:7.7.1+dde) unstable; urgency=medium

  * Bug fix:
    +  7889 fix: The hard disk is full and cannot enter the system

 -- Lei Su <sulei@uniontech.com>  Wed, 17 Nov 2021 11:29:26 +0800

xorg (1:7.7+19) unstable; urgency=high

  * Team upload.
  * xserver-xorg now Recommends xserver-xorg-legacy, we'd have liked to avoid
    installing the setuid Xorg wrapper by default in stretch, but this seems
    to break too much still (closes: #861683).

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 May 2017 11:38:16 +0200

xorg (1:7.7+18) unstable; urgency=medium

  * Call db_purge without arguments in postinst to fix error uncovered by
    adding "set -e" in 1:7.7+17 (closes: #845398).  Thanks, Samuel Thibault
    and Tianon Gravi!

 -- Julien Cristau <jcristau@debian.org>  Wed, 23 Nov 2016 08:50:50 +0100

xorg (1:7.7+17) unstable; urgency=medium

  [ Andreas Boll ]
  * control: Drop -freedreno from -video-all, the default 2D-driver will
    be -modesetting.

  [ Emilio Pozuelo Monfort ]
  * debian/x11-common.postinst: call `set -e'.
  * Bump Standards-Version to 3.9.8. No changes.
  * Bump debhelper compat to 10. Drop --parallel flag, enabled by default.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Nov 2016 00:02:26 +0100

xorg (1:7.7+16) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop -evdev and -synaptics from x-x-input-all Depends for
    linux.

  [ Julien Cristau ]
  * Drop xserver-xorg-input-void from s390x.  The server can come up with no
    input devices nowadays, -input-void isn't necessary.

  [ Cyril Brulebois ]
  * Drop xserver-xorg-input-vmmouse from xserver-xorg-input-all Depends,
    since the kernel driver for the VMware mouse device is incompatible
    with Xorg's vmmouse driver but works with the generic evdev and
    libinput drivers. Closes: #831286

 -- Cyril Brulebois <kibi@debian.org>  Thu, 14 Jul 2016 15:32:12 +0200

xorg (1:7.7+15) unstable; urgency=medium

  * Make x-x-input-all depend on x-x-input-libinput. Closes: #821760.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Apr 2016 12:09:18 +0200

xorg (1:7.7+14) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Demote -intel to -video-all Recommends, allowing to uninstall
    it if necessary.

  [ Andreas Boll ]
  * Add xserver-xorg-video-freedreno to -video-all on arm64.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Mar 2016 15:07:40 +0200

xorg (1:7.7+13) unstable; urgency=medium

  [ Andreas Boll ]
  * Merge xsf-docs up to 13946cb commit:
    - makefile: Set TZ=UTC before calling asciidoc (Closes: #795985).
      Thanks, Eduard Sanou!
  * rules: Remove unused variable ARCH.
  * Delete obsolete debian/xsfbs.
  * Bump Standards-Version to 3.9.6 (no changes needed).

  [ Timo Aaltonen ]
  * control: Add xserver-xorg-video-amdgpu to -video-all Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Jan 2016 18:24:15 +0200

xorg (1:7.7+12) unstable; urgency=medium

  * Team upload.
  [ Andreas Boll ]
  * Merge xsf-docs up to 4116d1e commit:
    - build-mesa: Drop nouveau note
    - build-mesa: Update ./configure options
    - build-mesa: Drop obsolete FIXME and s/test_application/es2_info/
    - build-mesa: Drop obsolete information for squeeze
  * Drop vars files for unsupported architectures: arm, armeb, ia64,
    m32r, s390 and sparc.
  * Add upstream url.
  * Use https for Vcs-* fields.
  * Remove all non-KMS (except fbdev and vesa) drivers from
    xserver-xorg-video-all.
  * Inline all vars files into control.
  * Remove redundant xserver-xorg-input-evdev from xserver-xorg (Already
    in -input-all).
  * Simplify and consolidate xserver-xorg-{input,video}-all:
    - Use architecture wildcards.
    - Add support for mips64el (Closes: #755482).
    - Add xserver-xorg-video-intel on kfreebsd-any.
    - Add xserver-xorg-video-freedreno on armel and armhf.
    - Add xserver-xorg-video-nouveau on arm64.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Oct 2015 10:24:27 +0200

xorg (1:7.7+11) experimental; urgency=medium

  * Fix arch-specific build broken in 1:7.7+10.

 -- Julien Cristau <jcristau@debian.org>  Fri, 21 Aug 2015 16:39:20 +0200

xorg (1:7.7+10) experimental; urgency=medium

  * Stop shipping the /usr/bin/X setuid wrapper and associated
    Xwrapper.config, those are now in xserver-xorg-legacy.
  * Convert d/rules to dh.

 -- Julien Cristau <jcristau@debian.org>  Fri, 21 Aug 2015 09:46:32 +0200

xorg (1:7.7+9) unstable; urgency=medium

  * Remove the siliconmotion driver from xserver-xorg-video-all.
  * Remove Cyril and Drew from Uploaders.
  * Bump debhelper compat level to 9.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 May 2015 14:53:51 +0200

xorg (1:7.7+8) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/x11-common.init: Add Short-Description field (Closes: #510087)
  * debian/x11-common.init: Call restorecon after creating the socket
    directories to ensure the SELinux context if properly set (Closes: #677831)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/control: Use canonical Vcs-* URL

  [ Maarten Lankhorst ]
  * Default to /usr/bin/Xorg if no /etc/X11/X symlink is found.
  * Remove creation of /etc/X11/X symlink, but keep existing.
  * Do not chdir to /etc/X11 if the symlink has an absolute path.

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 May 2015 19:12:00 +0200

xorg (1:7.7+7) unstable; urgency=medium

  * Add minimal ppc64el support (closes: #742731).  Thanks, Breno Leitao!
  * Remove support for upgrades from pre-squeeze versions from maintainer
    scripts.
  * Drop hal dependency from xserver-xorg on kfreebsd now that we use devd
    (closes: #710197)
  * Add powerpcspe support by copying powerpc driver lists (closes: #583288)
  * Add x32 support by symlinking the amd64 driver lists (closes: #700010)
  * Bump xserver-xorg-core dependency to a version that uses devd instead of
    hal.

 -- Julien Cristau <jcristau@debian.org>  Tue, 01 Apr 2014 11:22:41 +0200

xorg (1:7.7+6) unstable; urgency=medium

  * Move x11-xfs-utils from Depends to Suggests (closes: #736556).
  * Remove openchrome driver from hurd-i386's xserver-xorg-video-all (closes:
    #706889).
  * Move xserver-xorg-video-qxl from Depends to Recommends [amd64, i386].

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Feb 2014 08:30:32 +0100

xorg (1:7.7+5) unstable; urgency=medium

  * Add minimal arm64 support (using fbdev/evdev drivers); closes: #731766.
    Thanks, Wookey!

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Dec 2013 19:56:46 +0100

xorg (1:7.7+4) unstable; urgency=low

  [ Julien Cristau ]
  * Remove unmaintained drivers from xserver-xorg-video-all:
    - xserver-xorg-video-apm
    - xserver-xorg-video-ark
    - xserver-xorg-video-chips
    - xserver-xorg-video-i128
    - xserver-xorg-video-i740
    - xserver-xorg-video-newport
    - xserver-xorg-video-rendition
    - xserver-xorg-video-s3
    - xserver-xorg-video-s3virge
    - xserver-xorg-video-sis
    - xserver-xorg-video-suncg14
    - xserver-xorg-video-suncg3
    - xserver-xorg-video-suncg6
    - xserver-xorg-video-sunleo
    - xserver-xorg-video-suntcx
    - xserver-xorg-video-tga
    - xserver-xorg-video-tseng
    - xserver-xorg-video-voodoo

  [ Michael Stapelberg ]
  * report-bugs: tell people to file bugs upstream

  [ Maarten Lankhorst ]
  * Add xserver-xorg-video-modesetting on amd64 armhf i386.
  * Add xserver-xorg-video-qxl on amd64 i386.

 -- Julien Cristau <jcristau@debian.org>  Mon, 30 Sep 2013 19:55:41 +0200

xorg (1:7.7+3) unstable; urgency=low

  * Add xserver-xorg-input-vmmouse to -all on i386 and amd64 (closes:
    #705637).  Thanks, Jakob Bornecrantz!

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 May 2013 08:59:38 +0200

xorg (1:7.7+2) unstable; urgency=low

  [ Maarten Lankhorst ]
  * Update debian/copyright to refer to new address:
    - Fixes lintian old-fsf-address-in-copyright-file

  [ Julien Cristau ]
  * Undo ia64 xserver-xorg-video-all dependency change from 1:7.6+13
    (closes: #700447).

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Feb 2013 12:39:32 +0100

xorg (1:7.7+1) unstable; urgency=low

  * Merge xsf-docs up to 6b4a944090 commit:
    - index: Improve wording.
    - faq/general: Add a reference to how to build mesa.
    - howto/build-mesa: Update the section about nouveau.
    - howto/use-gdb: Mention new gdm3 setting (thanks to Joss).
    - reference/dependencies: Add how to handle transitions.
    - reference/squeeze-backports: Update for current situation.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 25 Jun 2012 22:40:14 +0200

xorg (1:7.6+13) unstable; urgency=high

  [ Julien Cristau ]
  * Drop debian/scripts/debconf-updatepo, it looks like we're not using it
    anymore.
  * Update debian/copyright to
    - add missing copyright statements
    - add missing license notes
    - not pretend the Debian and Ubuntu packages have different copyright
      status; parts of the package are copyright Canonical, others are
      copyright by various Debian folks.
    Still unclear if the "Copyright Software in the Public Interest, Inc."
    bits make sense, so leave them in for now.
    Closes: #630830.

  [ Cyril Brulebois ]
  * Drop some videos drivers from the xserver-xorg-video-all meta package
    on ia64, they were dropped following the domain I/O support code removal
    in X server 1.12.
  * Set urgency to “high” for the ongoing xorg transition.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 11 May 2012 12:24:22 +0200

xorg (1:7.6+12) unstable; urgency=high

  * Fix unsafe manipulation of /tmp/.X11-unix and /tmp/.ICE-unix in the
    x11-common init script.  A malicious user could trick us into changing
    ownership/permissions of an arbitrary directory, and elevate their
    privileges (closes: #661627).  Reference: CVE-2012-1093.  Thanks to
    "vladz", Tim Morgan and Bernhard R. Link for their help getting this right
    (any remaining bugs are my own).

 -- Julien Cristau <jcristau@debian.org>  Sat, 03 Mar 2012 18:54:30 +0100

xorg (1:7.6+11) unstable; urgency=low

  * Team upload.
  * debian/local/Xsession.d/35x11-common_xhost-local: add a new script 
    to the default X session. It will give access to the running X 
    server to the logged on user. This is useful for gdm3 which does not 
    give access to $XAUTHORITY outside the session, but can also be of 
    use for other display managers. Closes: #586685.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Jan 2012 12:42:38 +0100

xorg (1:7.6+10) unstable; urgency=high

  * Fixes for xserver-wrapper:
    - when we drop privileges, don't forget to also reset effective group id,
      since we're installed setgid root.
    - revert change to allow devices with major 5 as consoles.  This includes
      things like /dev/tty and /dev/ptmx, which are world-readable (closes:
      #652249).  Thanks to vladz for the report.
      Reference: CVE-2011-4613.
    - use major() and minor() macros instead of manually extracting them
  * Build the X wrapper with hardening enabled.

 -- Julien Cristau <jcristau@debian.org>  Thu, 15 Dec 2011 23:45:48 +0100

xorg (1:7.6+9) unstable; urgency=low

  [ Julien Cristau ]
  * Copy debian/scripts/vars.s390 to debian/scripts/vars.s390x
    (closes: #637902).  Thanks, Aurélien Jarno!
  * Bump xserver-xorg-core dependency to 1.11.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 24 Sep 2011 11:08:54 +0200

xorg (1:7.6+8) unstable; urgency=high

  [ Julien Cristau ]
  * Add Provides: xserver to xserver-xorg.
  * Add Serbian cyrillic and Serbian latin debconf translations (closes:
    #635009, #635016).  Thanks, Zlatan Todoric!
  * Use dbus activation to restart hal on kfreebsd, its init script is gone
    (closes: #624398).

  [ Cyril Brulebois ]
  * Merge xsf-docs up to the f931b66804 commit:
    - Update: reference/squeeze-backports
  * Set urgency to “medium” for the HAL vs. GNU/kFreeBSD bug fix, and then
    to “high” to speed up backporting since this source package is the last
    missing step.
  * Run debian-updatepo, and specify language fields.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Aug 2011 23:11:05 +0200

xorg (1:7.6+7) unstable; urgency=low

  * Remove long obsolete XF86Config-4 on purge (Closes: #610450). Thanks,
    Bernhard R. Link!
  * Add support for armhf (Closes: #605841), Thanks, Konstantinos
    Margaritis! Keep wacom in Recommends rather than in Depends, though.
  * Set the same permissions on all debian/scripts/vars.* files: no need
    to have them +x.
  * Remove debian/scripts/validate-posix-sh, unused.
  * Address description-synopsis-starts-with-article lintian tag.
  * Bump Standards-Version (no changes needed).
  * Merge xsf-docs up to the f920810e8f commit:
    - Add: reference/experimental
    - Add: reference/git-usage
    - Update: faq/general (firmware for ATI)
    - and other minor updates.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jun 2011 23:25:11 +0200

xorg (1:7.6+6) unstable; urgency=low

  * Merge xsf-docs up to the bd39472b0c commit:
    - Conversion from markdown to asciidoc.
  * Tweak the Makefile accordingly to stop trying to build and install PDF
    documents, since wkhtmltopdf fails on several architectures. Let's
    enable them again later, once bugs are fixed.
  * Adjust build system and build-dependencies accordingly:
    - Add asciidoc build-dep.
    - Remove markdown build-dep.
    - Remove wkhtmltopdf, xauth, xvfb build-dep.
    - Stop wrapping make with xvfb-run.
    - Get rid of the sparc-specific workaround.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Apr 2011 17:12:20 +0200

xorg (1:7.6+5) unstable; urgency=low

  * Drop ati and sisusb from video-all on hurd-i386, thanks to Samuel
    Thibault (Closes: #619862).
  * Add Vcs-* fields.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 01 Apr 2011 02:08:54 +0200

xorg (1:7.6+4) unstable; urgency=low

  [ Steve Langasek ]
  * Mark x11-common as Multi-Arch: foreign, so foreign-architecture libs
    have their dependency satisfied by it.

  [ Cyril Brulebois ]
  * Merge xsf-docs up to the 4d4bfa3eaf commit:
    - Add: faq/general
    - Add: reference/squeeze-backports
    - Update: howto/configure-input
    - Update: howto/triage-bugs
    - Update: howto/use-gdb (mention getting/using a core file)

 -- Cyril Brulebois <kibi@debian.org>  Fri, 25 Feb 2011 21:05:36 +0100

xorg (1:7.6+3) unstable; urgency=low

  * Merge xsf-docs up to the 8fc70f1e37 commit:
    - Add: howtos/build-mesa
    - Add: reference/upstream-contacts
    - Update: howtos/report-bugs
  * rules: Get rid of DEFAULT_DCRESOLUTIONS, unused since 2009.
  * Fix /etc/X11/Xwrapper.config handling:
    - Don't forget to copy the new configuration file if there was none
      previously. Thanks to Kyle Dassoff (Closes: #612979).
  * As a consequence of this bug, users having installed x11-common using
    version 1:7.6+1 or 1:7.6+2 want to run “dpkg-reconfigure x11-common”
    to generate the Xwrapper.config file.
  * Use “tempfile -m 644” to generate the temporary file which gets copied
    back into place. There's no secret in there (Closes: #581338).
  * 50x11-common_determine-startup: Take $SHELL into account, defaulting
    to sh if SHELL is unset or null (Closes: #604010).
  * Fix FTBFS on sparc{,64} by working around wkhtmltopdf's #613141:
    remove the SVG file from the CSS on these architectures.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 13 Feb 2011 07:34:14 +0100

xorg (1:7.6+2) unstable; urgency=low

  * Merge xsf-docs documentation. That's an offline copy of the
    documentation available online (http://pkg-xorg.alioth.debian.org/) in
    the following formats: HTML, PDF, and TXT.
  * Call make/make clean in xsf-docs/ accordingly. Do the “make” part
    under xvfb-run since wkhtmltopdf requires a working display, at least
    at the moment.
  * Ship xsf-docs in the xserver-xorg metapackage, under the following
    directory: /usr/share/doc/xorg
  * Add build-deps accordingly:
    - markdown: .mdwn to .html
    - wkhtmltopdf: .html to .pdf
    - xvfb: wkhtmltopdf needs a display.
    - xauth: xvfb-run needs it.
  * Remove xbase-clients maintainer scripts: Stop caring about
    /etc/X11/app-defaults/Beforelight, which was needed while upgrading
    from versions earlier than 1:7.4+2. Now even squeeze has a newer
    version.
  * Ditto for xutils: Stop caring about /etc/X11/rstart, 1:7.3+11 was a
    long time ago.
  * Tighten the dependency between xorg and xserver-xorg, to prevent from
    being able to upgrade xorg only (e.g. to X11R7.6) while still having
    xserver-xorg and xserver-xorg-core in a lower version (e.g. X11R7.5).
  * Ship a bug control file for xorg, making it report-with: xserver-xorg,
    which gives us the exact version of the server (the bug script isn't
    always sufficient), but also the drivers.
  * Remove obsolete material:
    - dexconf: Good bye!
    - xorg.conf: No real need for an example, with autodetection. If some
      documentation is still needed, it can be added to xsf-docs.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 08 Feb 2011 16:32:29 +0100

xorg (1:7.6+1) unstable; urgency=low

  [ Julien Cristau ]
  * x11-common: drop usage of /var/lib/x11/Xwrapper.config.{md5sum,roster}.
    Since sarge (I think), no other package has been handling
    /etc/X11/Xwrapper.config, so assume we're the only owner, remove the state
    files on upgrade.  The checksum is also not needed, we read the
    allowed_users value from the file in the config script and preserve it.
    Closes: #611271.

  [ Cyril Brulebois ]
  * Make xserver-xorg-video-nouveau a dependency again.
  * Make xserver-xorg-video-geode a recommended package. It's not
    maintained by the X Strike Force, and that shouldn't prevent
    xserver-xorg-video-all from being installable.
  * xserver-wrapper.c: Fix compilation warnings.
  * Update Uploaders list. Thanks, David & Brice!
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 15:23:23 +0100

xorg (1:7.6~2) experimental; urgency=low

  * Drop xserver-xorg-video-nv, it's no longer supported.
  * Add variables to handle Recommends.
  * Downgrade xserver-xorg-video-nouveau from Depends to Recommends. The
    frequent ABI changes make it difficult to manage, but that shouldn't
    stop people from using the xserver-xorg-video-all metapackage.
  * Downgrade xserver-xorg-input-wacom from Depends to Recommends. This is
    only an interim measure aiming at making xserver-xorg-input-all
    installable again. This input driver will probably be promoted to
    Depends again when it is ready™.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Nov 2010 16:13:06 +0100

xorg (1:7.6~1) experimental; urgency=low

  [ Julien Cristau ]
  * Bump version number, we're getting close to X11R7.6.
  * Drop obsolete Breaks/Replaces/Conflicts from x11-common and xserver-xorg.
  * Drop xlibmesa-gl, xlibmesa-gl-dev, xlibmesa-glu, libglu1-xorg and
    libglu1-xorg-dev.  These were already transitional packages in etch, so
    it's high time people updated their dependencies.
  * Use non-versioned driver virtual packages for xserver-xorg dependencies.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 16 Oct 2010 15:57:09 +0200

xorg (1:7.5+9) experimental; urgency=low

  * Depend on Xserver 1.9.1 rc1. Bump input and video driver ABI.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Oct 2010 00:47:47 +0200

xorg (1:7.5+8) unstable; urgency=low

  [ Julien Cristau ]
  * Add support for sparc64 (closes: #596828).  Thanks, Aurélien Jarno!
  * Use linux-any instead of an ever-changing list of architectures for the
    xserver-xorg-input-evdev dependency.

  [ Cyril Brulebois ]
  * Add a symlink to use xserver-xorg-core’s bug script so that we get
    more info when one runs “reportbug xorg”.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Oct 2010 14:20:28 +0200

xorg (1:7.5+7) unstable; urgency=low

  [ Julien Cristau ]
  * Nuke x11-common's Conflicts.  This was needed for upgrades from the
    monolith, which aren't relevant anymore.
  * Also drop Pre-Depends on debconf.  The debconf interaction in
    x11-common.preinst was removed in 1:7.4+2.
  * Drop versioned build-dep on dpkg 1.7.0.  Even woody had that..
  * Drop x11-common Depends on debianutils 1.13.  That was also in woody.
  * Add xserver-xorg-video-geode to -all on i386 (closes: #567909).

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Update Debian po files by running debconf-updatepo (through
    debian/rules clean).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 04 Sep 2010 19:39:41 +0200

xorg (1:7.5+6) unstable; urgency=medium

  * Drop radeonhd from xserver-xorg-video-all.  We switched to kernel
    modesetting for radeon, and that clashes with this driver.
  * Drop v4l from xserver-xorg-video-all.  It depends on the obsolete V4L1
    API, see #569103.
  * Add nouveau to xserver-xorg-video-all on linux x86 and powerpc.  Other
    arches can be added later if needed.
  * x11-common.init: don't include /usr/{s,}bin in PATH, since we only depend
    on $local_fs [lintian].

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 May 2010 13:34:32 +0200

xorg (1:7.5+5) unstable; urgency=low

  * Fix typo in Xsession.d/50x11-common_determine-startup, closes: #573899.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 14 Mar 2010 22:45:09 +0100

xorg (1:7.5+4) unstable; urgency=low

  * Add Xreset and Xreset.d support, closes: #230422.
  * Improve startup speed of Xsession.d scripts by eliminating all unnecessary
    external program calls, thanks Martin Pitt, closes: #570447.
    - In 20x11-common_process-args, cat $OPTIONFILE once into a variable and
      use POSIX variable substitution in all scripts instead of calling grep
      for every single test.
    - Use shell built in "type" instead of external "which" to test for
      programs.
    - 30x11-common_xresources: Swap the order of tests to keep the most
      unlikely (like "~/.Xresources exists") outside, to avoid running the
      other tests (like "xrdb exists") on systems which don't use Xresources.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 14 Mar 2010 11:15:07 +0100

xorg (1:7.5+3) unstable; urgency=low

  * Remove the obsolete x11proto-evie-dev from xorg-dev dependencies.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 27 Jan 2010 16:54:23 +0100

xorg (1:7.5+2) unstable; urgency=low

  * Fix typo in debian/scripts/vars.hurd-i386.  Thanks, Samuel Thibault!
  * Add fbdev and vmware video drivers to -all on hurd.  Requested by Samuel
    Thibault.
  * Remove myself from Uploaders
  * Kill xorg-dev dependency on x11proto-fontcache-dev.

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Jan 2010 03:34:30 +0100

xorg (1:7.5+1) unstable; urgency=low

  * Drop xorg-dev dependency on x11proto-xf86misc-dev and libxxf86misc-dev,
    which are obsolete.
  * Same with x11proto-trap-dev and libxtrap-dev.
  * The call to udevadm trigger has moved to xserver-xorg-core and the
    drivers, remove it from xserver-xorg.postinst.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Jan 2010 16:45:28 +0000

xorg (1:7.5~3) experimental; urgency=low

  [ Julien Cristau ]
  * On upgrade, restart hal on kfreebsd and run udevadm trigger on linux to
    make sure we can pick up input devices correctly.
  * Because of the above, move udev and hal from Recommends back to Depends.

  [ Brice Goglin ]
  * Add myself to Uploaders, remove Branden with his permission.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 02 Dec 2009 16:27:15 +0100

xorg (1:7.5~2) experimental; urgency=low

  * Drop xorg-dev dependency on libxkbui-dev, which has no users.
  * Update xorg-dev long description.  There are no static-only X libs
    nowadays.
  * xorg-dev: don't depend on libxevie-dev.
  * xserver-xorg-video-all: don't depend on -intel on non-linux.
  * Switch hal dependency to a recommends, and make it kfreebsd-only (closes:
    #515214).
  * Only install the hal fdi and callout on kfreebsd.
  * Add 'Old Changelog' in debian/changelog to make lintian happy.
  * Add ${misc:Depends} to all packages' Depends fields.
  * Drop dependency on console-setup, xserver-xorg-core now pulls in
    keyboard-configuration (closes: #558236, #523960).
  * Depend on xserver-xorg-core 1.7.
  * xserver-xorg.NEWS: /etc/default/console-setup moved to
    /etc/default/keyboard.  Also note that evdev is Linux-only.
  * x11-common.NEWS: fix syntax (lintian).
  * x11-common.templates: use "for internal use" instead of "internal use
    only" in Description (lintian).
  * Add lintian overrides for xorg, x11-common and xserver-xorg.
  * Bump Standards-Version to 3.8.3.

 -- Julien Cristau <jcristau@debian.org>  Sat, 28 Nov 2009 20:10:31 +0100

xorg (1:7.5~1) experimental; urgency=low

  [ Julien Cristau ]
  * Depend on xserver 1.7 RC.  Bump video and input driver ABI.

  [ David Nusinow ]
  * Update xsfbs to 5693792171d885769e58dcccc053c08b11acd12a
  * Revert dh_clean change from last upload but use dh_prep instead

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Sep 2009 22:17:04 +0200

xorg (1:7.4+4) unstable; urgency=low

  [ Timo Aaltonen ]
  * debian-x11-keymap.fdi: Check for input.keys from info.capabilities.
    (closes: #535291)
  * control: Move xserver-xorg dependency on evdev after -input-all.
    Otherwise only evdev is installed by default.

  [ Julien Cristau ]
  * xserver-wrapper: recognize /usr/bin/X as a path to the wrapper.
  * xserver-wrapper: don't print an error message if Xwrapper.config doesn't
    exist.
  * xserver-wrapper: allow unprivileged -showDefaultModulePath and
    -showDefaultLibPath options
  * xserver-wrapper: don't check the mode of /dev/dri.  It leads to a spurious
    error message in some cases, and isn't necessary.
  Thanks to Pierre-Loup A. Griffais for pointing out the three above items
  (closes: #540932).

  [ David Nusinow ]
  * Bump debhelper compat to v7. No changes necessary.
  * Rename stamps to take advantage of dh_clean v7 handling them automatically
  * Bump standards version to 3.8.2. No changes necessary.
  
 -- David Nusinow <dnusinow@debian.org>  Thu, 13 Aug 2009 21:19:12 -0400

xorg (1:7.4+3) unstable; urgency=low

  * Call db_stop at the end of xserver-xorg.postinst, otherwise debconf gets
    confused and makes the postinst hang after restarting hal
    (closes: #532623).

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Jun 2009 16:50:27 +0200

xorg (1:7.4+2) unstable; urgency=low

  [ David Nusinow ]
  * Don't discuss removal of xserver-xorg in its description. 
    It remains tied to -core at this point. (closes: #523630).
  * Add libgl1-mesa-dri to the depends of the xorg package to ensure that
    it gets pulled in even if Recommends are disabled
  * Make xorg depend on xorg-docs-core and move xorg-docs to be a
    suggests.  This makes for a slimmer default while providing the
    necessary manpages that we expect to be present on every install
    (closes: #388308).

  [ Julien Cristau ]
  * Update the NEWS entry for xserver-xorg 1:7.4+1 to include a warning about
    keycode changes breaking Xmodmaps (closes: #523562).  Thanks, Manoj
    Srivastava!
  * Restart hal from xserver-xorg.postinst.  hal's trigger gets run too early,
    when console-setup is not yet configured, so it doesn't pick up the keymap
    correctly (closes: #524076).
  * Mention the requirement for a CONFIG_INPUT_EVDEV-enabled kernel in
    xserver-xorg.NEWS.
  * Get rid of the remaining xserver-xorg debconf question (Bus ID).
    Detection of the primary device should happen in the kernel and/or X
    server.  With this change, we don't generate any xorg.conf anymore.
  * On upgrade, remove leftover conffile from beforelight (closes: #454219).
  * Add a console-setup-mini alternative to xserver-xorg's Depends
    (closes: #527124).
  * xsfbs: don't call dpkg --print-installation-architecture
    (closes: #531294).
  * Add README.source, and bump Standards-Version to 3.8.1.
  * xsfbs: kill custom readlink function (closes: #498890).  Thanks, Jonas
    Smedegaard!
  * x11-common: drop migration code from xfree86, and related debconf
    templates.
  * Drop support for renicing the X server from the wrapper.  Remove related
    debconf templates and maintainer scripts handling.
  * Don't ship the /usr/X11R6/bin symlink in x11-common.  Break gdm <<
    2.20.7-5.
  * xserver-xorg.preinst: drop migration code from /var/lib/xfree86 to
    /var/lib/x11.
  * xserver-xorg.{pre,post}inst: drop xorg.conf checksum handling.  Stop
    creating an empty xorg.conf in preinst.  Now that we don't run dexconf, we
    don't need to keep a checksum of the config file to know whether the user
    customized it.
  * xserver-xorg.{preinst,postinst,postrm}: stop using /var/lib/x11.
  * control: xserver-xorg doesn't provide infrastructure for managing
    xorg.conf anymore, remove that from the description.
  * Stop depending on sparc-utils.  xserver-xorg.postinst doesn't run any
    detection programs anymore.

  [ Debconf translations ]
  * Bengali added
  * Slovak updated (closes: #523448).

 -- Julien Cristau <jcristau@debian.org>  Tue, 09 Jun 2009 17:32:10 +0200

xorg (1:7.4+1) unstable; urgency=low

  [ Timo Aaltonen ]
  * scripts/vars.sparc: Remove sunbw2 from video-all, since monochrome
    support has been deleted from xserver 1.6.
  * scripts/vars.*: Drop mouse & kbd from input-all except for non-Linux
    archs.
  * scripts/vars, rules: Remove scripts/vars, hasn't been used since
    it was split.

  [ Julien Cristau ]
  * Xsession(5): fix the manpage references.
  * Xwrapper.config(5): X is installed as /usr/bin/X, not /usr/bin/X11R6/X.
  * Use case-insensitive matching when trying to replace obsolete drivers in
    xorg.conf.  Use the C locale to make sure this works as expected.
  * xserver-xorg.postinst: drop duplicate definitions of the debug_echo and
    validate_string_db_input shell functions.
  * dexconf: don't try to get the driver from debconf.
  * xserver-xorg.postinst: drop the code to pick a driver on sparc.  The
    server now autoconfigures sbus devices.
  * As a result of the previous change, remove the
    xserver-xorg/config/device/driver debconf template, and unregister it on
    upgrade.
  * We don't use dmidecode and fbset anymore (they were used for hardware
    detection), so stop adding Recommends on them.
  * dexconf: don't write empty Monitor and Screen sections.
  * dexconf: don't output an InputDevice section for mice.
  * dexconf: don't output an InputDevice section for keyboards.
  * xserver-xorg.postinst: don't configure the keyboard layout.
  * remove keyboard-related debconf templates; unregister them on upgrade.
  * xserver-xorg.templates: don't give an ISA example for the BusID question,
    ISA support has been removed from the server.
  * xserver-xorg.postinst: don't accept BusID values matching "ISA:*".
  * Don't set the UseFBDev option.  Remove the detection code from
    xserver-xorg.postinst, kill the debconf template and unregister it.
  * xserver-xorg.postinst: remove unused input validation functions.  Also
    remove the corresponding debconf templates.
  * Set the BusID in xorg.conf if we find more than one graphics card, to work
    around breakage in post-pciaccess xserver (can't find the primary PCI
    device).
  * xserver-xorg.postinst: allow setting the PCI domain in the BusID string.
  * Install a callout and an fdi file to read the configured keymap from
    /etc/default/console-setup, and set the corresponding keymap for keyboards
    in hal.  Both stolen from Ubuntu's hal package.
  * Depend on hal (>= 0.5.12~git20090406) for hal-set-property --direct.
  * Depend on console-setup (>= 1.29) to handle upgrades from lenny.
  * Add a NEWS entry to document the changes regarding configuration of input
    devices.
  * Re-add rgb.txt, some clients still use it, even though the server doesn't.
  * Upload to unstable.

  [ David Nusinow ]
  * Add an example xorg.conf to /usr/share/doc/xserver-xorg/examples. 
    This will give people something to copy from and modify for their own
    configurations

  [ Debconf translations ]
  * Esperanto. Closes: #503039
  * Asturian. Closes: #511623
  * Kazakh added. Closes: #521001

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Apr 2009 00:52:17 +0100

xorg (1:7.4~5) experimental; urgency=low

  [ Loic Minier ]
  * Also upgrade Driver i810 or via lines which have trailing comments.
  * Shut up rmdir errors with 2>/dev/null in all maintainer scripts when
    trying to remove dirs; this might confuse debconf.

  [ Julien Cristau ]
  * xserver-xorg Depends on hal.
  * xserver-xorg Depends on xserver-xorg-input-evdev on Linux (except for
    s390).
  * Update input (4) and video (5) ABIs for xserver 1.6.
  * xserver-xorg Depends on xkb-data >= 1.4.
  * xserver-xorg Depends on xserver-xorg-core 1.6 rc1.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Jan 2009 22:41:41 +0100

xorg (1:7.4~4) experimental; urgency=low

  [ Loic Minier ]
  * Allow alternate tty devices as consoles; fixes usage of startx in upstart.

  [ Julien Cristau ]
  * Merge changes from 1:7.3+18.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Oct 2008 02:24:19 +0200

xorg (1:7.4~3) experimental; urgency=low

  [ Timo Aaltonen ]
  * vars.*: Drop cyrix, imstt from video-all. Not ported to pciaccess.

  [ Julien Cristau ]
  * vars.*: Drop nsc from video-all.  It was only ever useful on i386 anyway,
    and should get integrated into geode at some point.
  * vars.*: Drop the via alternative, it's dead upstream and we have
    openchrome now.
  * xserver-xorg.postinst:
    - drop support for upgrades from X11R6;
    - when upgrading from a version earlier than 1:7.4~3, replace uses of the
      "i810" and "via" drivers with "intel" and "openchrome", respectively
      (closes: #492913).
  * Pull changes from 1:7.3+17 (debconf translation updates).
  * vars.*: Drop the -i810 alternatives, only -intel is left these days.

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2008 13:57:52 +0200

xorg (1:7.4~2) experimental; urgency=low

  * Drop the tga driver from xserver-xorg-video-all Depends on !alpha.
  * Bump xserver-xorg's dependency on xserver-xorg-core, to make sure we're
    at least on 1.5.
  * Merge changes from the unstable branch up to 1:7.3+16.
  * Update for 1.5 final: require xserver-xorg-video-4.

 -- Julien Cristau <jcristau@debian.org>  Thu, 04 Sep 2008 02:24:54 +0200

xorg (1:7.4~1) experimental; urgency=low

  [ Julien Cristau ]
  * X.Org 7.4 release candidate
  * Drop the vga, glint and dummy drivers from xserver-xorg-video-all Depends
    (except dummy on s390).
  * Bump videoabi to 2.9, inputabi to 2.1.
  * xserver 1.5 doesn't use an external rgb database, don't bother installing
    it.
  * Move dexconf from x11-common to xserver-xorg.
  * Remove pre-dependency on x11-common from xserver-xorg.
  * Bump x11-common's conflict with xserver-xorg to << 1:7.4~.

  [ Brice Goglin ]
  * Remove the dependency of xutils against xutils-dev, it was only useful
    for transitional purpose in Etch, closes: #418123.
  * Remove the obsolete /etc/init.d/xserver-xorg, closes: #459507.
  * Add xutils preinst to drop obsolete /etc/X11/rstart/ files,
    closes: #382360.

  [ Timo Aaltonen ]
  * Split the variables in vars.* files to span multiple lines. Makes
    them a lot easier to read and merge.

 -- Julien Cristau <jcristau@debian.org>  Mon, 14 Jul 2008 02:34:00 +0200

xorg (1:7.3+18) unstable; urgency=low

  [ Debconf translations ]
  * Wolof. Closes: #500669

  [ Julien Cristau ]
  * Version the Replaces/Conflicts on xserver-common, so we can reintroduce it
    later if needed.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Oct 2008 20:26:08 +0200

xorg (1:7.3+17) unstable; urgency=low

  [ Debconf translations ]
  * Croatian. Closes: #498054
  * Spanish. Closes: #498435
  * Greek. Closes: #498465

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2008 13:35:44 +0200

xorg (1:7.3+16) unstable; urgency=low

  [ Debconf translations ]
  * Lithuanian. Closes: #497314
  * Norwegian Bokmal. Closes: #497315
  * Polish. Closes: #497162

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 Sep 2008 14:01:38 +0200

xorg (1:7.3+15) unstable; urgency=low

  [ Debconf translations]
  * Finnish. Closes: #491323
  * Korean. Closes: #491519
  * Gujarati. Closes: #492097

  [ Julien Cristau ]
  * If the TMPDIR environment variable is set, preserve it across the
    invocation of ssh-agent (closes: #355923).  Thanks, Sam Morris!
  * On sparc, don't put the driver description in the Driver field, using
    patch from Bernhard R. Link (closes: #469299).

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 Aug 2008 23:13:25 +0200

xorg (1:7.3+14) unstable; urgency=low

  * Ignore errors from update-rc.d remove (closes: #490595).

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Jul 2008 10:42:05 +0200

xorg (1:7.3+13) unstable; urgency=low

  [ Debconf translations]
  * Malayalam. Closes: #486830
  * Italian. Closes: #487877
  * Swedish. Closes: #488550
  * Dzongkha.
  * Traditional Chinese. Closes: #486490

  [ Brice Goglin ]
  * Remove obsolete xserver-xorg startup links, closes: #487453.

  [ Julien Cristau ]
  * Map the ca-multi d-i keymap to XkbLayout "ca", XkbVariant "multi"
    (closes: #466226).

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Jul 2008 16:38:55 +0200

xorg (1:7.3+12) unstable; urgency=low

  [ Debconf translations]
  * Belarusian. Closes: #483697
  * French
  * Basque. Closes: #485293
  * Galician. Closes: #485292
  * Tamil. Closes: #485376
  * Thai. Closes: #485385
  * Simplified Chinese. Closes: #485389
  * Hebrew. Closes: #485390
  * Bulgarian. Closes: #485391
  * Catalan. Closes: #485394
  * Vietnamese. Closes: #485404
  * Belarusian. Closes: #485405
  * German. Closes: #485461
  * Portuguese. Closes: #485486
  * Indonesian. Closes: #485746
  * Arabic. Closes: #485865
  * Russian. Closes: #485976
  * Slovak. Closes: #486186
  * Hungarian. Closes: #486189
  * Korean. Closes: #486279
  * Japanese. Closes: #486281
  * Brazilian Portuguese. Closes: #486294
  * Czech. Closes: #486358, #486456, #486472
  * Dutch. Closes: #486459
  * Turkish. Closes: #486462
  * Romanian. Closes: #486636

  [ Julien Cristau ]
  * Don't recommend the 'sun' xkb rule set, they're handled by 'xorg' now,
    with the type4 and type5 models (closes: #483946).  Thanks, Bernhard R.
    Link!
  * Re-add the xutils-dev dependency to xutils.  There are still too many
    packages build-depending on xutils and expecting imake to be available.
    We'll drop it again after the lenny release (closes: #485184).
  * xserver-xorg-video-all: don't depend on the via driver on non-x86
    architectures; change the via dependency on x86 to openchrome | via.

  [ Brice Goglin ]
  * Add SH4 support script, thanks Nobuhiro Iwamatsu, closes: #473582.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 17 Jun 2008 21:56:20 +0200

xorg (1:7.3+11) unstable; urgency=low

  [ David Nusinow ]
  * Add radeonhd to the -video-all depends

  [ Brice Goglin ]
  * Remove $named from the Should-Start/Stop LSB dependency info of the
    x11-common init script, closes: #463630.
  * Remove $remote_fs from Required-Start/Stop LSB dependency info of
    the x11-common init script, closes: #470940.
  * Remove the dependency of xutils against xutils-dev, it was only useful
    for transitional purpose in Etch, closes: #418123.
  * Remove the obsolete /etc/init.d/xserver-xorg, closes: #459507.
  * Add xutils preinst to drop obsolete /etc/X11/rstart/ files,
    closes: #382360.

  [ David Nusinow ]
  * Ship the X server wrapper in xserver-xorg rather than x11-common. This
    avoids having an unnecessary SUID binary on some systems. Thanks Stephen
    Frost. closes: #400632
    + Have x11-common conflict with older xserver-xorg and vice-versa. Also
      have xserver-xorg replace older x11-common
    + Set x11-common to arch: all and xserver-xorg to arch: any
    + Move ${shlib:Depends} from x11-common to xserver-xorg

  [ Julien Cristau ]
  * Use root:root instead of 0:0 in chown calls in x11-common's init script.
    This should prevent remote nss lookups and timeouts in some environments.
    Closes: #407788.
  * Add Kurdish debconf translation from Erdal Ronahi (closes: #477492).
  * Move dexconf and its manpage from x11-common to xserver-xorg.
  * Remove pre-dependency on x11-common from xserver-xorg.
  * Drop the xlibs-data and xlibs-static-dev transitional packages.  These
    were kept around for the sarge->etch upgrade, so it's past time they went
    away (closes: #477547, #477550).
  * xserver-xorg-video-newport is mips-only, don't depend on it on other
    architectures.
  * dexconf, xserver-xorg.postinst: the emulate3buttons question is gone,
    don't ask about it and don't add the corresponding option in the generated
    xorg.conf.  The option is on by default, and the only thing we used to do
    in dexconf is to explicitly enable it anyway.
  * Run dh_installman in binary-indep as well, as x11-common is now built
    there.
  * Use the XSF shell library to remove obsolete conffiles.  It seems less
    fragile than the version recommended on
    http://wiki.debian.org/DpkgConffileHandling and should handle failed
    upgrades.

  [ Christian Perrier ]
  * Debconf translations:
    - Indonesian added. Closes: #469972
    - Polish. Closes: #478035

  [ Raphael Geissert ]
  * Fix bashism in xserver-xorg postinst script, closes: #473701.

 -- Julien Cristau <jcristau@debian.org>  Fri, 30 May 2008 15:15:33 +0200

xorg (1:7.3+10) unstable; urgency=low

  * Just write a default video card identifier
  * Only run driver autodetection on sparc hardware
    All other archictectures should be better supported by having the server
    do it at startup.
    Closes: #442892, #448845, #410889, #443397, #242952, #271599
    + Remove discover and discover1 from the xserver-xorg recommends
    + Remove autodetect_video_card and multiple_possible_x-driver templates
  * Don't ask the bus ID question to anyone who it's not necessary for
    Hardcoding the bus ID is bad. The server already uses the same algorithm
    and more to figure out which PCI ID's have video cards, so don't replicate
    it. Currently we only ask people who have ppc, SGI indigos, and multiple
    heads on sparc.
  * Don't write the DPMS option to the monitor section of xorg.conf.
    The xserver already defaults to enabling DPMS

 -- David Nusinow <dnusinow@debian.org>  Sun, 06 Jan 2008 15:17:14 -0500

xorg (1:7.3+9) unstable; urgency=low

  [ Julien Cristau ]
  * Deregister old debconf questions before calling dexconf.  dexconf calls
    db_stop, and we can't use debconf after that.  Add a comment to that
    effect above the dexconf call in debian/xserver-xorg.postinst.in, to try
    to prevent future mistakes.  Thanks, Michael Vogt!

  [ Timo Aaltonen ]
  * dexconf: Remove reference to xserver-xorg/config/display/modes,
    which is no longer used.

  [ Brice Goglin ]
  * Fix "no video driver modules found" message, thanks Robert Millan,
    closes: #453930.
  * Fix dexconf to write in /etc/X11/xorg.conf by default again,
    closes: #456925.

  [ David Nusinow ]
  * Don't force fbdev on mac mini ppc any more. The ati driver no longer uses
    fbdev, and it has been reported to work on mac minis without it.
  * Add support for $HOME/.xsessionrc. Closes: #411639
    This file, if present, will get sourced during the start of your X
    session. This allows you to set session-wide environment variables easily
    for things like locale information. Patch adapted from one by Yves-Alexis
    Perez. Thanks also to Holger Levsen and Osamu Aoki for advice.
    + Adds 40x11-common_xsessionrc to /etc/X11/Xsession.d
    + Document this in Xsession.5 manpage
    + Add a NEWS.Debian entry about it
    + Modifies /etc/X11/Xsession to declare the location of ~/.xsessionrc.
      Custom versions of Xsession (like gdm's) will need an update
  * Use run-parts --list instead of a custom run_parts function.
    Thanks Vagrant Cascadi for the patch. Closes: #458345, #457606

 -- David Nusinow <dnusinow@debian.org>  Sun, 30 Dec 2007 23:01:52 -0500

xorg (1:7.3+8) unstable; urgency=low

  [ Julien Cristau ]
  * Make xorg Architecture: any.  Depend on sparc-utils [sparc] instead of
    sparc-utils | not+sparc.
  * dexconf: Use xorg.conf/xserver-xorg instead of $REALCONFIG/$XSERVERPKG.
    Thanks, Timo Aaltonen!

  [ Tormod Volden ]
  * xserver-xorg.postinst.in: Narrow down the drivers to filter from the list,
    because otherwise radeonhd would not be selectable.
    (Closes: #446441, LP: #174311)

  [ David Nusinow ]
  * Don't write the default depth to xorg.conf any more.
    The drivers should choose the appropriate depth by default now.
  * Don't bother with resolutions in xorg.conf
    We now rely on the server and drivers to do the right thing. Previously,
    our best-case scenario was to have the xserver-xorg postinstall script ask
    the monitor what the optimal values were, and if that wasn't possible to
    give the user a default list of resolutions and a best-guess hsync and
    vrefresh values that the user could override. The server and almost all
    drivers will do this on boot anyway using properly maintained code, which
    allows them to better adapt to changes. randr 1.2-compliant drivers will
    do this even better than we possibly could. Finally, the server will
    provide a better list of defaults than we were doing anyway. There will
    undoubtedly be bugs uncovered by this change, but we need  to find and fix
    the actual bugs in the drivers and server in order to move forward.
    + Don't recommend xresprobe any more
    + Don't recommend laptop-detect any more or look for it in server postinst
  * Don't set fbdev in the postinst for r128 on ppc.
    The driver will do this automatically if no option is specified by the user
  * Allow cross-building. Thanks Neil Williams. Closes: #451293
  * Bump standards version to 3.7.3.0. No changes needed.

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Dec 2007 10:35:08 -0500

xorg (1:7.3+7) unstable; urgency=low

  * Don't set driver-specific depths in xserver postinst
    + For newport, vga, savage, suncg6, and tdfx. These should all be handled
      in the drivers themselves
  * Get rid of old server symlink stuff that was left behind
    + Make sure we replace symlinks pointing to /bin/true in the postinst.
      This situation was created if you had installed the previous package
      from scratch. Closes: #452897

 -- David Nusinow <dnusinow@debian.org>  Mon, 26 Nov 2007 23:07:19 -0500

xorg (1:7.3+6) unstable; urgency=low

  * Only cleaning out old junk on upgrade and after version compare
    This currently includes deregistering old debconf questions and removing
    server symlink cruft. Closes: #451426, #451425, #451439

 -- David Nusinow <dnusinow@debian.org>  Thu, 15 Nov 2007 20:38:44 -0500

xorg (1:7.3+5) unstable; urgency=low

  [ David Nusinow ]
  * Change xlibs-static-dev transitional package from the libs to oldlibs
    section
  * Don't have dexconf write "CoreKeyboard" any more. With input-hotplug this
    is meaningless
  * Unregister various old questions from the debconf database because we
    don't use them any more.

  [ Brice Goglin ]
  * Replace xorg dependency on xbase-clients and xutils with the corresponding
    new x11-*utils packages (without xutils-dev), closes: #445471.
  * Replace xserver-xorg dependency on xbase-clients with x11-xkb-utils
    (for xkbcomp).

  [ Julien Cristau ]
  * Reupload, because 1:7.3+4 seems to have been lost in the ftp-master crash.
  * Drop code related to shared/default-x-server from xserver-xorg.prerm.

 -- David Nusinow <dnusinow@debian.org>  Wed, 14 Nov 2007 21:29:31 -0500

xorg (1:7.3+4) unstable; urgency=low

  * Don't try and reset monitor identifier question, it doesn't exist now
  * Don't bother at all with default-x-server question. 
    Closes: #448863, #374578
    + Remove it from the xserver-xorg postinst. Now instead of a complicated
      md5sum, only create the symlink if nothing exists there.
    + Make sure we delete the old md5sum and xserver roster files for this
      stuff. We don't need it now.

 -- David Nusinow <dnusinow@debian.org>  Sun, 04 Nov 2007 11:41:04 -0500

xorg (1:7.3+3) unstable; urgency=low

  [ David Nusinow ]
  * dexconf: Don't write the server layout. The server no longer requires one
    by default as of 1.4.
  * Don't ask or write about video ram. This is a useless "feature"
  * dexconf: Set SERVER to xorg
  * Don't ask for the monitor identifier, just use a generic name
  * Delete the obsolete template question for autodetect mouse
  * Don't ask for the mouse port or protocol any more
    + Will be set to /dev/input/mice by default.
    + Add udev to xserver-xorg recommends to make sure this device file is
      present on normal systems
    + Will be set to "auto" protocol by default. This will let the driver
      choose the correct protocol automatically. The kernel driver multiplexes
      different protocols through the same /dev/input/mice device file,
      allowing this. Only in pathological cases will you need to work around
      it.
  * Don't specify the device section to use in the screen section
    + xserver-xorg-core 2:1.4-3 and above will use the first device section
      listed when none is specified. We only write one device with this script
      anyway.
    + Have xserver-xorg depend on -core >= 2:1.4-3
  * Delete unused templates for no_known_ and multible_possible_ x-servers
  * Delete hidden fontserver template and dexconf ability to use it
    + This wasn't configurable and most people should be fine without listing
      a font server in xorg.conf
  * Don't ask about writing the files section any more. Delete the question

  [ Christian Perrier ]
  * Hebrew. Closes: #447308

  [ Timo Aaltonen ]
  * xserver-xorg.postinst.in:
    - Add lt to the list of non-Latin keymaps.
    - Clean up duplicate keymaps in xserver-xorg.config.in and make sure
      they're all neatly alphabetised.
    - Map cf console keymap to ca(fr)
    - Map croat console keymap to hr.
    - Map et console keymap to ee.
    - Set default keyboard variant for French to oss.
    - Map mk console keymap to mk.
    - Map nl console keymap to nl.
    - Map ru console keymap to ru.
    - Map slovene console keymap to si.
    - Map sr-cy console keymap to map to cs, not sr, following xkeyboard-config
      changes.
    - Handle trfu/trqu console keymaps the same way as trf/trq.
    - Map uk console keymap to gb, not gb(intl).
    - Fix sanity-checking logic for French Canadian vs. US-layout keyboards.
    - Try autodetecting South Korean keyboards. They have to be detected
      from LANG since they use US keymaps on the console.
    - Sparc doesn't need sun types keyboard since 2.6 kernel come to play
      in the game. Make it use pc105 instead with xorg rules.
    - Use fbset for HPPA.
    - Detect keyboard layout configuration using /etc/default/console-setup
      if available.
  * dexconf: Fix problem preventing touchpad scrolling from being able to be
    enabled by switching HorizEdgeDelta for HorizEdgeScroll.

  [ Julien Cristau ]
  * dexconf: don't use the shared/default-x-server template (closes: #443004).
  * debian/control: xserver-xorg depends on x11-common >= 1:7.3+3 for the
    above change.
  * debian/xserver-xorg.templates: drop the default-x-server question.
  * dexconf: don't generate two mouse sections.  Touchpads will be handled
    through input-hotplug.

 -- David Nusinow <dnusinow@debian.org>  Wed, 31 Oct 2007 22:39:46 -0400

xorg (1:7.3+2) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Sep 2007 16:23:45 -0400

xorg (1:7.3+1) experimental; urgency=low

  [ Brice Goglin ]
  * Use laptop-detect in our postinst code instead of requiring xsfbs
    to call it in all maintainer scripts of many packages.

  [ Julien Cristau ]
  * Bump video and input ABIs to 2 for xserver 1.4.

 -- Julien Cristau <jcristau@debian.org>  Mon, 10 Sep 2007 16:45:38 +0200

xorg (1:7.3~rc1) experimental; urgency=low

  * Bump driver ABI for xserver 1.3.99.0.
  * xserver-xorg doesn't recommend the drivers anymore, the Depends should be
    enough.

 -- Julien Cristau <jcristau@debian.org>  Sat, 18 Aug 2007 20:08:31 +0200

xorg (1:7.2.ds3-1) experimental; urgency=low

  * Add xutils and xbase-clients transitional packages
    + xbase-clients is now split (closes: #151613).
    + ditto xutils (closes: #330751).
  * Bump version number to 1:7.2.ds3 to be higher than xbase-client's current
    version.
  * Remove unused code from debian/rules.
  * xserver-xorg.postinst: drop code to detect the X server; we haven't had
    more than one since XFree86 4.0.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Jul 2007 19:16:00 +0200

xorg (1:7.2-6) UNRELEASED; urgency=low

  [ Brice Goglin ]
  * Remove the reference to the unexisting example file
    /usr/share/doc/x11-common/examples/xsession in Xsession.5.
    Thanks Braun Gabor (closes: #393233).
  * xserver-wrapper.c: drop privileges on alternate config file given
    with -xf86config as we do for -config, closes: #323107.
  * Update xsfbs to fix displaying of patches applied by quilt,
    closes: #428090.
  * Remove mdetect from xserver-xorg Recommends since it does not use
    it anymore, thanks Joey Hess (closes: #435588).
  * Move xorg-docs from xorg Depends to Recommends, closes: #427172.

  [ Julien Cristau ]
  * xserver-xorg-video-all: don't depend on the intel driver on alpha, arm,
    armeb, armel, m32r, m68k, mips and mipsel; drop alternative dependency on
    the obsolete -modesetting drivers on other architectures, and prefer
    -intel to -i810.
  * Drop the xserver-xfree86, xlibmesa-dri, x-window-system and
    x-window-system-core transitional packages.

  [ David Nusinow ]
  * Remove the code to migrate old XFree86 templates over to Xorg. You'll have
    to install etch now if you're migrating from sarge for your settings to
    transition over.
  * Add libgl1-mesa-dri to the xserver-xorg recommends.
    Previously, this recommends was in the xorg package, but many people don't
    have the xorg package installed (even though they should). Moving it here
    makes it far more likely that people will actually have a working DRI.
    Thanks Frans Pop. Closes: #433035

 -- Brice Goglin <bgoglin@debian.org>  Sat, 11 Aug 2007 19:06:20 +0200

xorg (1:7.2-5) unstable; urgency=low

  * Don't use the dexconf function fetch to get the modes. This will fail when
    the value is empty by design. Just use db_get instead.

 -- David Nusinow <dnusinow@debian.org>  Tue, 12 Jun 2007 20:54:56 -0400

xorg (1:7.2-4) unstable; urgency=low

  [ Julien Cristau ]
  * Add ${shlibs:Depends} to x11-common's Depends field, because the X server
    wrapper is an ELF object... oops.
  * Allow libgl1 as alternative to libgl1-mesa-glx in xorg's dependencies.

  [ Brice Goglin ]
  * Add armel support, thanks to Riku Voipio (closes: #408817).
  * Make xephem conflict versioned as <= 3.4-5 (closes: #419533).
  * Replace references to xserver-common with x11-common in Xwrapper.config(5)
    manpage. Thanks Mikhail Gusarov (closes: #405739).
  * Replace references to .Xsession with .xsession in Xsession(5) and
    Xsession.options(5) manpages. Thanks Reuben Thomas (closes: #365430).
  * Add documentation for use-session-dbus in Xsession.options(5), based on
    75dbus_dbus-launch header in the dbus package, closes: #322284.
  * Minor fixes in Xsession(5), thanks Lajos Parkatti, closes: #372519.
  * Add DebianRed to rgb.txt, closes: #243288.
  * Fix possible buffer overflows in xserver-wrapper.c.
    Thanks Jochen Voss (closes: #396958).
  * Add conflict for x11-common against vide (<= 1.21-3).
    Thanks Pierre Machard, closes: #370167.

  [ Timo Aaltonen ]
  * Xsession.d/*: change 'which' -> '/usr/bin/which', since the zsh builtin
    command can in some circumstances make the login fail.

  [ Christian Perrier ]
  * Debconf translations:
    - Vietnamese. Closes: #426978, #427180

  [ David Nusinow ]
  * Get rid of all the explicit modes by default. They just bloated the
    default config for no reason.
    + The /config/display/modes now has no default (blank). As a result of
      this, under normal conditions, this multi-select field will be empty.
      The debconfage and dexconf will not fill in this section at all. The
      server will then choose the highest resolution that it can probe with
      DDC. This should work for most people, who are probably choosing their
      best resolution anyway. If xresprobe is available and used, the
      resolutions it finds will be selected. Until there is a good way for the
      server to store this information by itself, we should leave this as it
      is. Most people can get by without this section, but it'll help some of
      those with broken hardware.
    + If the user does select a mode or modes for this question, dexconf no
      longer iterates through a set of depths and puts the mode list in for
      each. Instead, if dexconf does find a set of specified modes, it will
      write a single "Display" subsection for the screen, and it will contain
      the modes. This is functionally equivalent to what we were doing anyway,
      and it cuts down the number of lines in our xorg.conf considerably.

 -- David Nusinow <dnusinow@debian.org>  Mon, 11 Jun 2007 22:58:03 -0400

xorg (1:7.2-3) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates proofread by the debian-l10n-english team
    Closes: #418007
  * Debconf translations:
    - Arabic. Closes: #418026
    - Thai. Closes: #418049
    - Lituanian. Closes: #418042
    - Nepali.
    - Bulgarian. Closes: #418027
    - Slovak. Closes: #418024
    - Tamil. Closes: #418022
    - Korean. Closes: #418075
    - Portuguese.
    - Galician. Closes: #418187
    - Basque. Closes: #418191
    - Brazilian Portuguese. Closes: #418223
    - Dutch
    - Albanian. Closes: #418504
    - Swedish. Closes: #418537
    - Russian. Closes: #418589
    - Czech. Closes: #418769
    - Malayalam. Closes: #419522
    - Japanese. Closes: #419707
    - Traditional Chinese. Closes: #420047
    - Hungarian. Closes: #420116
    - German
    - Italian. Closes: #421013

  [ David Nusinow ]
  * Don't write the DRI section to xorg.conf. We now ship a default mode in
    libdrm as of libdrm 2.3.0-3, so we don't need to do this. Users can still
    override the default mode in their xorg.conf's if they choose
  * Don't write the files section of xorg.conf by default. If the user does
    want to write the files section, don't write out any font paths, only
    write out the font server bit if they specify that.
    + This will depend on having xserver-xorg-core version 2:1.3.0.0.dfsg-3
      which includes a patch to always look in the default font paths by
      default. Bump the xserver-xorg dependency on xserver-xorg-core to this
      version.

  [ Julien Cristau ]
  * xorg recommends libgl1-mesa-dri instead of depending on it.

  [ Timo Aaltonen ]
  * xserver-xorg-video-all: Replaces/Conflicts xserver-xorg-driver-all
  * x11-common.init: Only source /etc/default/rcS if it exists,
    allowing x11-common to be installed by debootstrap.
  * x11common.{dirs,links}: Don't ship or link to
    /usr/X11R6/lib/X11/fonts
  * debian/scripts/vars.*: Remove xserver-xorg-video-vmware from non-x86
    archs.
  * debian/{control,rules,scripts/vars.*}: Set XSERVER_XORG_DETECT_DEPENDS
    on amd64, hppa, i386, ia64.
  * debian/scripts/vars: Add xserver-xorg-input-elographics to
    XSERVER_XORG_INPUT_DEPENDS.
  * debian/xserver-xorg.postinst.in: ATI vendor string was changed in
    discover-data_2.2006.08.15, so edit them to reflect the change.

 -- David Nusinow <dnusinow@debian.org>  Sun, 29 Apr 2007 21:33:00 -0400

xorg (1:7.2-2) experimental; urgency=low

  [ Julien Cristau ]
  * Add support for kfreebsd-{amd64,i386} (closes: #363910).  Thanks,
    Robert Millan and Daniel Stone!
  * In xserver-xorg's postinst, delete old FontPaths pointing to CID fonts,
    are these aren't supported anymore.

  [ Colin Watson ]
  * debian/xserver-xorg.config.in: Improve expr return code handling in
    validate_nice_value; don't use run function when we need to check
    db_input's return value (LP: #68267).

  [ Julien Cristau ]
  * Drop references to obsolete modules in the debconf templates.
  * dexconf: don't add fontpaths in /usr/X11R6.
  * dexconf: point to the xorg.conf manpage, not /etc/X11/xorg.conf
    (closes: #408114).
  * Add patch from Guillem Jover <guillem@debian.org> to add console detection
    support for GNU/kFreeBSD to the X server wrapper (closes: #413454).
  * Add xserver-xorg-video-vmware to xserver-xorg-video-all's dependencies on
    amd64 (closes: #413492).

  [ David Nusinow ]
  * Add xserver-xorg-input-evtouch to the dependency list for
    xserver-xorg-input-all
  * Remove code from dexconf, xserver-xorg.templates, and
    xserver-xorg.postinst to process the module list. The server will now have
    a default set of modules to be loaded and those can be added to or
    disabled in xorg.conf. This will require xserver-xorg-core 2:1.2.99.905-3
    so bump the versioned dependency to it.

 -- David Nusinow <dnusinow@debian.org>  Sun, 15 Apr 2007 11:44:28 -0400

xorg (1:7.1.0-18) unstable; urgency=high

  * Add more conflicts to x11-common:
    + communicator-smotif-477
    + epan
    + navigator-smotif-477
    + stella (<< 2.2-1)
    + xfractint (<< 20.3.01-1)
    + xgobi
    + xpostitplus
    + xisp

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Apr 2007 02:54:22 +0200

xorg (1:7.1.0-17) unstable; urgency=high

  * x11-common Conflicts with netscape-base-4 (from woody/contrib).  Reported
    by Lennart Sorensen.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Apr 2007 01:45:17 +0200
xorg (1:7.1.0-16) unstable; urgency=high

  [ Christian Perrier ]
  * Debconf translations:
    - Norwegian Nynorsk added (sent privately)
    - Marathi added. Closes: #416799
  * Configure Romanian keymap when the system is installed in
    Romanian. Closes: #416544

  [ Julien Cristau ]
  * Add x11-common conflict with ucbmpeg-play << 2.3p-13 (closes: #417564).
  * Urgency high to get this into etch.

 -- Julien Cristau <jcristau@debian.org>  Tue, 03 Apr 2007 14:06:17 +0200

xorg (1:7.2-1) experimental; urgency=low

  * New upstream release
  * Have the metapackages support xserver-xorg-video-intel,
    xserver-xorg-video-i810-modesetting, and xserver-xorg-intel-modesetting
    packages as valid options in addition to i810
  * Add xorg-docs to the xorg package dependencies. There's some very useful
    manpages in there, among other things.

 -- David Nusinow <dnusinow@debian.org>  Sun,  4 Mar 2007 15:38:57 -0500

xorg (1:7.1.0-15) unstable; urgency=low

  * Reupload without the .git/ dir.

 -- Julien Cristau <jcristau@debian.org>  Tue,  6 Mar 2007 18:48:00 +0100

xorg (1:7.1.0-14) unstable; urgency=high

  [ Julien Cristau ]
  * Add conflict on old versions of hamsoft, phototk and tkworld in x11-common
    (closes: #413281, #413339).  Thanks, Bill Allombert!

 -- David Nusinow <dnusinow@debian.org>  Sun,  4 Mar 2007 18:39:11 -0500

xorg (1:7.1.0-13) unstable; urgency=high

  * debian/local/Xsession: set temporary umask when creating $ERRFILE.  Thanks
    Timo Aaltonen.  This fixes CVE-2006-5214.
  * Change versioned conflict on opera to << 9.00-20060616, per Edward
    Welbourne <eddy@opera.com>.
  * Don't source debconf stuff in xserver-xorg.preinst, thanks lintian.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Feb 2007 13:41:12 +0100

xorg (1:7.1.0-12) unstable; urgency=high

  [ Christian Perrier ]
  * Map French Canadian console keymap to "ca" X keymap in the postinst
    Closes: #408482

  [ Julien Cristau ]
  * High urgency upload for RC bugfix.
  * x11-common Conflicts with opera (<< 9.10-20061214.6), to provide an
    upgrade path for users with this third-party package installed.  Thanks to
    Steve Langasek (closes: #410740).
  * Change my email address in debian/control.
  * Use dh_strip to strip /usr/bin/X in x11-common.
  * Don't call update-rc.d twice in x11-common's postrm.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Feb 2007 11:12:46 +0100

xorg (1:7.1.0-11) unstable; urgency=medium

  [ Julien Cristau ]
  * Added Tamil debconf translation (closes: #406306).

  [ David Nusinow ]
  * Permit pre-seeding for font server in dexconf. This adds a new hidden
    template that does not need to be translated. Thanks Petter Reinholdtsen
    for the original report and patch, and Damyan Ivanov for noticing the
    regression. Closes: #323262

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Mon, 15 Jan 2007 00:15:33 +0100

xorg (1:7.1.0-10) unstable; urgency=low

  * Change the Depends of xserver-xorg back to xserver-xorg-video-all |
    xserver-xorg-video-1.0, xserver-xorg-input-all | xserver-xorg-input, and
    remove alternative recommends, because we'd like the -all packages to be
    pulled in on initial install and on upgrade from pre-modular versions
    (closes: #405639, #406058).
  * Add xserver-xorg-input-void to xserver-xorg-input-all's dependencies on
    s390.
  * Fix dexconf to work when $TMPDIR is NFS-mounted, by closing the redirected
    file descriptor before trying to rm $DEXCONFTMPDIR (closes: #405782).
    Thanks to Boris Dores for the report, and to Brice Goglin for the patch.
  * Add myself to Uploaders, and remove Fabio with his permission.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Tue,  9 Jan 2007 02:34:33 +0100

xorg (1:7.1.0-9) unstable; urgency=high

  [ Christian Perrier ]
  * xserver-xorg: set Depends on ${misc:Depends} mostly to have
    "debconf|debconf-2.0" listed in Depends to allow for the cdebconf
    transition. Closes: #402570

  [ Julien Cristau ]
  * Bump x11-common's conflict on xtel to <= 3.3.0-5.4, as that version
    installs fonts in /usr/lib/X11/fonts, which x11-common includes as a
    symlink.

  [ David Nusinow ]
  * Move the depends on xserver-xorg-(input/video)-all to a recommends. Just
    depend on the pseudopackages. The recommends also | -vesa for video, and
    -kbd and -mouse for -input. We duplicate the recommendation for
    xserver-xorg-input-all to handle the two different input packages we need.
    This is to deal with issues in which aptitude can't install the -all
    packages, so it just picks something random. This gives it some hints,
    hopefully at least guaranteeing that -vesa, -kbd, and -mouse are
    installed. Unfortunately, because we can't reproduce this bug, we can't
    fully guarnatee that this is fixed. It doesn't appear to break upgrades
    though. Thanks Steinar Gunderson. Closes: #403818
  [ Debconf translations updated ]
  * Italian typos fixed. Closes: #403196
  * Mistake in explanation about lspci in french translation fixed.
    Closes: #403297

 -- David Nusinow <dnusinow@debian.org>  Tue, 19 Dec 2006 22:19:00 -0500

xorg (1:7.1.0-8) unstable; urgency=medium

  [ Debconf translations updated ]
  * Portuguese. Closes: #399240

  [ Debconf translations added ]
  * Lithuanian. Closes: #400396
  * Malayalam. Closes: #402308

  [ Christian Perrier ]
  * Configure the German Swiss keymap when the D-I chosen keyboard is
    mac-usb-de_CH
    Closes: #396125

  [ Jurij Smakov ]
  * Add detection of PGX32 framebuffers on sparc.
  * Correct the setting of default depth for cgsix framebuffer, so
    that it actually triggers.

  [ Julien Cristau ]
  * Run invoke-rc.d and update-rc.d only once in postinst (instead of 3
    times), and let debhelper handle it.
  * Add a link to xserver-xorg-core's reportbug script, so bug reports against
    xserver-xorg contain the submitter's config and log files.  This means
    xserver-xorg needs to depend on xserver-xorg-core >= 2:1.1.1-11.

 -- David Nusinow <dnusinow@debian.org>  Sun, 10 Dec 2006 19:59:50 -0500

xorg (1:7.1.0-7) unstable; urgency=high

  [ Debconf translations added ]
  * Albanian. Closes: #397442
  * Bulgarian. Closes: #397473
  * Korean. Closes: #397218

  [ Debconf translations updated ]
  * Arabic (from Arabeyes CVS)

  [ Christian Perrier ]
  * Configure the Greek keymap when the D-I chosen keyboard is Greek
    Closes: #398290

  [ Julien Cristau ]
  * Install /etc/X11/Xsession with mode 0755, since that's what we did in the
    monolith, and some display managers rely on it being executable
    (closes: #390526).
  * Add line breaks to x11-common's Conflicts field in debian/control.
  * Add x11-common conflict with xephem (only in woody/non-free).

 -- David Nusinow <dnusinow@debian.org>  Sat, 18 Nov 2006 19:56:52 -0500

xorg (1:7.1.0-6) unstable; urgency=low

  [ Debconf translations added ]
  * Arabic (though still incomplete).
  * Bosnian. Closes: #396484
  * Chinese (Traditional).
  * Croatian.
  * Greek.
  * Thai. Closes: #396827
  * Turkish.

  [ Debconf translations updated ]
  * Nepali
  * Russian. Closes: #391602

  [ Julien Cristau ]
  * Readd /etc/X11/Xresources/x11-common which was lost in the transition from
    the monolith.  This enables the -color customization, and closes: #365358.
  * Delete stampdir in debian/rules clean.
  * Don't load the obsolete Type 1 font backend in the server, as suggested by
    Juliusz Chroboczek (closes: #364965).
  * Bump x11-common's conflict on xlbiff to "<< 4.1-4". Thanks to Bill
    Allombert and Steve Langasek (closes: #396279).

 -- David Nusinow <dnusinow@debian.org>  Sun,  5 Nov 2006 20:09:29 -0500

xorg (1:7.1.0-5) unstable; urgency=low

  [ Debconf translation added ]
  * Wolof. Closes: #393815

  [ Debconf translation updates ]
  * Vietnamese. Closes: #393640

  [ David Nusinow ]
  * Fix server symlink md5sum for upgrades from sarge. It now takes links to
    the XFree86 server and /bin/true in case of botched old symlink
    transition in to account.
  * Remove server symlink md5sum recreation in preinst. This gets taken care
    of in the postinst, and having it the preinst can cause upgrade problems

 -- David Nusinow <dnusinow@debian.org>  Thu, 19 Oct 2006 23:13:17 -0400

xorg (1:7.1.0-4) unstable; urgency=low

  [ Debconf translation updates ]
    - Catalan. Closes: #372262
    - German. Closes: #392456
    - Italian. Closes: #391497
    - Norwegian Bokmål. Closes: #391683
    - Russian. Closes: #391563

  [ David Nusinow ]
  * Add grace6's sarge version to the long list of conflicted packages. Thanks
    Bill Allombert. Closes: #390943

  [ Jurij Smakov ]
  * Add the dependency for xorg on sparc-utils (for sparc only), as we rely on
    prtconf from this package for videocard detection.

 -- David Nusinow <dnusinow@debian.org>  Mon, 16 Oct 2006 21:48:29 -0400

xorg (1:7.1.0-3) unstable; urgency=low

  [ Debconf translation updates ]
    - Dutch. Closes: #391187
    - Simplified Chinese. Closes: #390956

  [ David Nusinow ]
  * Make /dev/input/mice the default mouse port in the xserver-xorg.templates 
    file.  Also provide the devices in this file rather than as a variable in
    the config script. Closes: #385078
  * Have dexconf actually use the mouse protocol and port selected during
    debconf config. Thanks Ilguiz Latypov. Closes: #376055

 -- David Nusinow <dnusinow@debian.org>  Thu,  5 Oct 2006 22:28:36 -0400

xorg (1:7.1.0-2) unstable; urgency=low

  [ Debconf translations updates ]
    - Romanian. Closes: #388441
    - Vietnamese. Closes: #388565
    - Finnish. Closes: #389699
    - Basque. Closes: #389721
    - Portuguese. Closes: #390750
    - Hungarian. Closes: #390755
    - Swedish. Closes: #390782
    - Slovak. Closes: #390795
    - Japanese. Closes: #390806
    - Czech. Closes: #390900
    - Khmer. Closes: #375063
    - Czech. Closes: #390900

  [ Steve Langasek ]
  * Add Conflicts: with xserver-xfree86-dbg for the /usr/X11R6/bin
    transition.  Thanks to Bill Allombert for testing.  Closes: #388633.

  [ Denis Barbier ]
  * Fix handling of "Generic Video Card" and "Generic Monitor" strings
    in xserver-xorg.{config,postinst}, previous changes were buggy.
    Closes: #389506  Thanks Joshua Kwan.
  * Fix xserver-xorg.postinst, it could hang.
    Closes: #388568  Thanks Bas Wijnen.
  * In xserver-xorg.config, map sg-latin1 console keymap to 'ch(de)'.
    Closes: #386191  Thanks Tormod Volden.

  [ David Nusinow ]
  * Incorporate the entire old xserver-xorg.config script in to the
    postinst script. This is hideously dirty, but it should allow the script
    to properly expect discover and xresprobe to be installed without having
    gross hacks in tasksel just for this task. We'll junk all this for etch+1.
    Thanks to Joey Hess for the solution.
  * Bump server abi version to 7.1.0, not that we're doing anything with it
    yet
  * Lower the upgrade_issues warning call to priority medium. We already have
    the xserver-xfree86 dummy package that depends on xserver-xorg, so apt and
    aptitude should do the correct thing in most cases in theory. Cross your
    fingers folks. Thanks to the d-i team and Steve Langasek. Closes: #372077

 -- David Nusinow <dnusinow@debian.org>  Tue,  3 Oct 2006 23:30:01 -0400

xorg (1:7.1.0-1) unstable; urgency=low

  [ Christian Perrier ]
  * Fix lspci command line recommendation in templates
    Fix translations accordingly. Closes: #387563

  [ Denis Barbier ]
  * Translations of "Generic Video Card" were hardcoded into
    xserver-xorg.config, move them into debian/po/*.po files.
    Same for "Generic Monitor" translations which were
    hardcoded into xserver-xorg.postinst.  Closes: #387698
  * Modify debian/x11-common.dirs and debian/x11-common.install
    so that this package can be compiled from an SVN checkout
    without .svn files being shipped in /etc/X11/Xsession.d.
  * Add m32r support.  Thanks Kazuhiro Inaoka (closes: #376060)
  * Add ppc64 support.  Thanks Andreas Jochens (closes: #362085)
  * Fix list of display resolution in maintainer scripts, the
    patch sent to #330304 had been broken when updated to 7.0.
  * Add support for Catalan keyboard. Thanks Robert Millan
    (closes: #346269)
  * Fix Japanese keyboard configuration in xserver-xorg.config.
    Thanks Kenshi Muto (closes: #385392)

  [ Debconf translations updates ]
    - Dzongkha (Tenzin Dendup). Closes: #382959, #383111, #388013
    - Khmer (Khoem Sokhem). Closes: #375063
    - Vietnamese (Clytie Siddall). Closes: #383127
    - Basque (Piarres Beobide). Closes: #374032
    - Romanian (Eddy Petrisor). Closes: #383539
    - Brazilian Portuguese (Felipe Augusto van de Wiel). Closes: #373880, #365531
    - Portuguese (Miguel Figueiredo). Closes: #386343
    - Czech (Miroslav Kure). Closes: #384764
    - Slovak (Peter Mann). Closes: #386827
    - Swedish (Daniel Nylander). Closes: #386511
    - Galicien (Jacobo Tarrio). Closes: #387969
    - Added Finnish (Tapio Lehtonen). Closes: #387391

  [ David Nusinow ]
  * Update xsfbs with patch from ubuntu to support ARCHITECTURE, LAPTOP,
    RECONFIGURE, FIRSTINST, and UPGRADE variables for use in the xserver-xorg
    config scripting
  * Remove test for upgrade from xserver-xorg.postinst
  * Pull patch from Ubuntu to xserver-xorg postinst to correctly update the
    config file on upgrades (closes: #375689)
  * Steal patch from Ubuntu to update non-latin keymaps by Colin Watson
  * Steal patch from Ubuntu for xserver-xorg.config to help with the Mac mini
    by Fabio.
  * Steal patch from Ubuntu to recreate missing server symlink checksum that
    was lost on some upgrades. This patch by Fabio.
  * Don't force people to select resolution modes. Previously, if none were
    selected, a loop would be entered until some were. This turned out to be
    buggy, but it should not be in place anyway. I've removed the loop, so
    that if the user selects no modes, dexconf won't write the section to
    xorg.conf and the server will be left to its own nefarious devices. Thanks
    Robert Millan. (closes: #384285)

  [ David Martínez Moreno ]
  * Update Spanish debconf translation.

  [ Drew Parsons ]
  * Sync experimental version to unstable for X11R7.1 transition.
  * Use dh_installman to install man pages. Closes: #368316, #375391, #376764.

  [ Branden Robinson ]
  * In the config script, munge the source package version into the upstream
    version so we can tell Discover what to look for.  Discover's data is
    based on the upstream version number, not the Debian package's, so strip
    the Debian revision and the (ugh!) epoch.  The introduction of the epoch
    caused the config script to start passing Discover a data version that
    wouldn't match anything, because the epoch is not part of the upstream
    version number.  Thanks to Thomas Lange for diagnosing this bug!

 -- David Nusinow <dnusinow@debian.org>  Tue, 19 Sep 2006 22:05:50 -0400

xorg (1:7.1.0~1) experimental; urgency=low

  [ Drew Parsons ]
  * Tighten dependencies between X11R7.1 server and video drivers.
    xserver-xorg Depends: xserver-xorg-video-all | xserver-xorg-video-1.0.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Aug 2006 20:23:25 +1000

xorg (1:7.0.23) unstable; urgency=low

  [ Denis Barbier ]
  * Run debconf-updatepo in the clean target to make sure that debian/po/*.po
    files are up-to-date.  Thanks Thomas Huriaux (closes: #372904)
  * Fix XKB paths in debconf templates.  Thanks Vincent Ho (closes: #373175)
  * Replace _Choices by __Choices in debconf templates, because several
    translations had wrong number of items.

  [ Christian Perrier ]
  * Debconf translations updates
    - French (Christian Perrier)
    - Brazilian (André Luis Lopes). Closes: #373880
    - Galician (Jacobo Tarrio). Closes: #373894
    - Basque (Piarres Beobide). Closes: #374032
    - Romanian (Eddy Petrisor). Closes: #374082
    - Vietnamese (Clytie Siddall). Closes: #375087
    - Swedish (Daniel Nylander). Closes: #375970
    - Russian (Yuri Kozlov). Closes: #376343
    - Danish (Claus Hindsgaul). Closes: #376705
    - Simplified Chinese (Carlos Z.F. Liu). Closes: #382496
  * New debconf translations:
    - Nepali (Mahesh subedi). Closes: #374803
    - Khmer (auk piseth). Closes: #375063
    - Dzongkha (Jurmey Rabgay).

  [ Michel Dänzer ]
  * Add debian/scripts/vars.armeb, thanks Lennert Buytenhek. Closes: #367188

  [ Jurij Smakov ]
  * Remove xserver-xorg-video-{newport,tga} from XSERVER_XORG_VIDEO_DEPENDS
    on sparc, since these drivers do not built on sparc (sparc is not in
    the arch list). Thanks to Julien Cristau for pointing it out.
  * Fix the currently broken sparc hardware detection in config and
    postinst scripts:
    - introduce a new discover_sparc_video() function which uses prtconf
      rather than discover to do the hardware detection. discover does not
      support detection of devices attached to UPA and SBUS buses, common
      on sparc, so it's pretty useless there.
    - use this function on sparc by introducing the DISCOVER_PROG and
      DISCOVER_FUNC variables, preserving the old behavior for all other
      arches. Adjust the debugging messages appropriately.
    - set the default sparc driver to 'sunffb'.
    - set default keyboard rules for sparc to 'xorg' instead of obsolete
      'sun'. The keyboard layer in 2.6 kernels have been unified across
      all arches, so 'xorg' is the correct setting now.
    - add 'cfb' and 'cfb32' to the list of modules loaded by default on
      sparc, since the symbols provided by them are required by sunffb
      driver. Closes: #352869, #377809
    - set the default color depth to 8 for the 'cgsix' driver, as it's the
      maximum depth supported by it.

  [ ISHIKAWA Mutsumi ]
  * Debconf translations:
    - Update Japanese translation (Kenshi Muto).

 -- Denis Barbier <barbier@debian.org>  Sat, 12 Aug 2006 18:11:07 +0200

xorg (1:7.0.22) unstable; urgency=low

  [ David Nusinow ]
  * Correct the sections on the transitional packages
  * Make sure grepping for smoking guns in x11-common.postinst (or anywhere
    else that the find_culprits shell function is used) no longer dies due to
    a grep not returning anything. Thanks Joey Hess. (closes: #371152)
  * During x11-common preinst, handle /usr/X11R6/bin before anything else to
    try and prevent serious problems during error unwind. Thanks Steve
    Langasek, Eugene Konev, Henk Boom, and Joey Hess. (closes: #371874)

 -- David Nusinow <dnusinow@debian.org>  Sun, 11 Jun 2006 23:39:46 -0400

xorg (1:7.0.21) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translation updates
    - Basque (Piarres Beobide)
    - Galician (Jacobo Tarrio). Closes: #369509
    - Norwegian Bokmal (Bjørn Steensrud). Closes: #369515

  [ Steve Langasek ]
  * Conflict with ppxp (<= 0.2001080415-14), thanks to Florian Ludwig.
  * Conflict with guitar, which also ships an empty /usr/X11R6/bin.
  * Bump conflict with xorg 6.9 packages to (<< 7.0), thanks to amd64
    binNMUs. :/  Closes: #370215.
  * Fix bad shell in the x11-common.preinst.

  [ David Nusinow ]
  * Add conflicts on some old woody stuff, including xftp, xext, xpaste, and
    ghostview. Thanks Carl Miller and Roger Leigh. (closes: #362915, #370088)
  * Revert Xrapper.config modification during x11-common postinst to 6.9
    behavior. We now only if the file exists and the md5sum is not altered, we
    no longer only do this on upgrades This should unbreak fresh installs.
  * Move test to create Xwrapper.config to do it on either install or upgrade,
    not in the migration code

  [ Josh Triplett ]
  * Add conflicts on the old non-free package xv, no longer in Debian,
    which broke upgrading on at least one system.
  * Remove duplicated dependency on libx11-dev from xorg-dev.

 -- David Nusinow <dnusinow@debian.org>  Wed,  7 Jun 2006 23:46:04 -0400

xorg (1:7.0.20) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translation updates
    - Vietnamese (Clytie Siddall).
    - Russian (Yuri Kozlov).
    - Brazilian (André Luis Lopes).
    - Czech (Miroslav Kure).

  [ David Nusinow ]
  * Add x11-common conflict with ivtools-dev. Thanks Julien Danjou.
    (closes: #368298)
  * Re-add accidentally removed (wtf happened?) xlibmesa-gl-dev transitional
    package. Thanks Steve Langasek.

 -- David Nusinow <dnusinow@debian.org>  Sun, 21 May 2006 15:46:40 -0400

xorg (1:7.0.19) unstable; urgency=low

  [ Christian Perrier ]
  * Rewrite templates to make them more compliant with Developer's Reference
    6.5
    - Update Japanese translation (Kenshi Muto).
    - Update French translation (Christian Perrier).
    - Update Galician translation (Jacobo Tarrio).
    - Update Hungarian translation (SZERVÁC Attila).

  [ David Nusinow ]
  * Add x11-common template to warn people that on upgrade their server may be
    removed. This template also tells people to install the xorg package to
    fix the problem. This is an ugly workaround and I welcome a better
    solution if someone can find it. (closes: #363169)
  * Allow ICE and Socket dir to be set up in non-verbose mode. Thanks Gilmar
    Santos Jr, Frank Mehnert, and Aleksey Midenkov for the reports and the
    patches.  (closes: #367556, #363427, #366378)
  * Implement a status call in x11-common's init script for LSB compliance
  * Add LSB dependency info to x11-common init script. Note that I have no way
    of testing it but the submitter claims that it's partially tested
    elsewhere. Thanks Petter Reinholdtsen. (closes: #335348)
  * Set +e in Xsession prior to executing anything in Xsession.d. This should
    prevent any one bad script from killing the X startup process. Thanks
    Eduard Bloch. (closes: #331553)
  * Recover old changelog entries from the 6.8 and 6.9 era and put in to
    changelog.Debian.old. Install this file in the x11-common package. Thanks
    Kevin B. McCarty. (closes: #364087)
  * Make several improvements to the code that makes /usr/X11R6/bin a symlink
    + Move the logic to perform the switch to the x11-common preinst
    + If the rmdir command fails, use debconf to inform the user
    + Use debhelper's normal methods to create the symlink, so that the
      packaging infrastructure is aware of it
    Thanks to Eduard Bloch, Steve Langasek, Daniel Stone, and Vincent Lefevre
    for helping hammer this out. (closes: #362885, #363699)
  * Add missing quotes in 20x11-common_process-args. Thanks Greg Kochanski.
    (closes: #347481)
  * Re-add call to update-rc.d and invoke-rc.d in x11-common postinst
  * Bump standards version to 3.7.2.0
  * Increment version with xdm conflict to the current version in testing and
    unstable. (closes: #363462)

 -- David Nusinow <dnusinow@debian.org>  Thu, 18 May 2006 22:45:40 -0400

xorg (1:7.0.18) unstable; urgency=low

  [ Steve Langasek ]
  * Fix dexconf to supply the same backwards-compatible FontPath rules
    on upgrade as the ones we're forcing in the postinst for non-dexconf
    users.

  [ David Nusinow ]
  * Add xlibmesa-glu transitional package

 -- David Nusinow <dnusinow@debian.org>  Tue,  9 May 2006 00:57:44 -0400

xorg (1:7.0.17) unstable; urgency=high

  [ Steve Langasek ]
  * High-urgency upload for RC bugfix.
  * Drop the xfree86-common transitional package again, because the
    solution implemented for 354146 was broken and redundant -- bug
    #354146 hasn't been a real issue since x11-common started
    conflicting with xfree86-common, and people tend to miss their
    /etc/X11/Xsession when it's moved out from under them.
    Closes: #365948, reopens: #318294.

  [ David Martínez Moreno ]
  * debian/control: Fixed several short descriptions.
  * debian/scripts/vars*: Updated xserver-xorg-input-all dependencies to
    include xserver-xorg-input-synaptics on m68k and the newly released
    xserver-xorg-input-wacom driver.

  [ David Nusinow ]
  * Have x11-common move Xsession.xfree86 back to Xsession if Xsession doesn't
    exist. This is to clean up the mess made on last upload
  * Tell the configuration scripts that we're upgrading properly. The variable
    that was being used to test this was never set for some reason.
  * Fix test bug during upgrade when we made sure to only do certain
    operations when we're upgrading from before a fixed package number. This
    bug was uncovered by the fix above about the upgrade.

 -- David Nusinow <dnusinow@debian.org>  Fri,  5 May 2006 00:10:33 -0400

xorg (1:7.0.16) unstable; urgency=low

  [ David Nusinow ]
  * Define the backup config file name before we tell people where we're
    backing up :-) Thanks Frans Pop and Flavio Stanchin. (closes: 365278)
  * Prevent the xserver-xorg config from failing during migration of
    emulate3buttons questions when they don't exist. Thanks Rodney Gordon II,
    Adam Borowski. Thanks to Steven Brown for a fix.  (closes: #365282)
  * Remove obsolete zaxismapping debconf question all together during
    xserver-xorg config.
  * Add xfree86-common transitional package. This package is meant to remove
    files that were moved to x11-common, like Xsession. Thanks Frank Küster.
    Thanks to Daniel Stone for the fix. (closes: #354146)
    * Remove xfree86-common stuff from /etc/X11/Xsession.d when the new
      xfree86-common package is purged. Thanks Joe Drew. (closes: #318294)
  * Add x11-common conflict with xpmumon. Thanks Jack Bates.
  * Have the xserver-xorg-video-all metapackages depend on
    xserver-xorg-video-v4l now that it's in the archive

  * [ Debconf translations ]
    - Updated Brazilian (André Luis Lopes). Closes: #365531

 -- David Nusinow <dnusinow@debian.org>  Wed,  3 May 2006 00:21:11 -0400

xorg (1:7.0.15) unstable; urgency=low
  
  * The "Happy Birthday Steve!" release

  [ Christian Perrier ]
  * Debconf translations:
    - Merge translations from the 6.9 branch. Most of them were pending
      there and have not been merged when 7.0 came in
      Closes: #363051
    - French translation completed (Christian Perrier)
    - Add Hungarian translation (SZERVAC Attila). Closes: #352471
    - Update Dutch translation (Bart Cornelis). Closes: #358171
    - Update Catalan translation (Jordi Mallach). Closes: #350765
    - Update German translation (Jens Seidel). Closes: #341003
    - Update Polish translation (Bartosz Fenski). Closes: #359746
    - Update Czech translation (Miroslav Kure). Closes: #362495
    - Update Danish translation (Claus Hindsgaul). Closes: #362570
    - Update Galician translation (Jacobo Tarrio). Closes: #362821
    - Update Romanian translation (Eddy Petrisor).
    - Update Vietnamese translation (Clytie Siddall).Closes: #364538
    - Update Basque translation (Piarres Beobide).Closes: #364568
    - Update Russian translation (Yuri Kozlov).Closes: #364642
  * Fix typo in templates and avoid fuzzying translations
    Closes: 364641

  [ Steve Langasek ]
  * Add pmud-utils (<= 0.10-9) to the conflicts list for x11-common;
    missed earlier because the package only exists on !i386
  * Also conflict with wmnet 1.0.5-12, which is still shipping
    /usr/X11R6/bin; thanks to Roger Leigh.  Closes: #364007.
  * Increment the conflict with xfs-xtt, because -6 existed in the
    archive even if it wasn't released with sarge.  Closes: #364056.
  * Add additional conflicts for xnest (<= 6.9.0.dfsg.1-6)
    (closes: #364210), xterm (<< 208-1), and xmh (<= 6.8.2.dfsg.1-4);
    these packages all depended on a package that x11-common already
    conflicted with, but that's only enough to force deconfiguration, not
    removal.

  [ ISHIKAWA Mutsumi ]
  * Debconf translations:
    - Update Japanese translation (Kenshi Muto).

  [ David Nusinow ]
  * Add vars.hurd-i386 to allow this package to build on that arch. Thanks
    Samuel Thibault and Michael Banck. (closes: #358692)
  * Allow the xorg metapackage to be satisfied by any terminal emulator.
    Thanks René van Bevern. (closes: #364475)
  * Add x11-common conflicts with beaver, lsb-core, and yank. Thanks Aaron M.
    Ucko. (closes: #364113)
  * Re-add XF86Config-4 -> xorg.conf code in xserver-xorg.config. Thanks to
    Steve Langasek for catching this. (closes: #362728)
  * On upgrade, we now are forcing people with custom configs to have some
    upgrading done on their xorg.confs. Naturally, we back up modified
    xorg.conf's before modifying them. We now do the following:
    + Remove lines to load the glcore and speedo modules
    + Update the font paths for misc, cyrillic, Type1, 100dpi, and 75dpi fonts
      to be /usr/share/fonts/X11 rather than /usr/lib/X11/fonts
    + Remove the ModulePath and RgbPath directives if present
    Thanks Steve Langasek for re-working my primitive sed.
    (closes: #362894, #363667, #364692, #364689, #363436, #357714, #363571)
  * Document the above in NEWS.Debian

  [ David Martínez Moreno ]
  * Update Spanish translation.

 -- David Nusinow <dnusinow@debian.org>  Fri, 28 Apr 2006 00:16:30 -0400

xorg (1:7.0.14) unstable; urgency=low

  * Add more versioned conflicts (libmotif-dev, motif-clients, xslideshow,
    xtrkcad). Thanks Steve Langasek.
  * Grab discover_video function from xserver-xorg.config.in from 6.9. The
    discover2 support was dropped solely in favor of discover1. This caused
    people with discover installed instead of discover1 to have an error
    returning 64 on their xserver-xorg postinstall. Thanks to Daniele
    Venzano for the bug report. Thanks to Steve Gran and Steve Langasek for
    tracking this down. (closes: #362891, #363021)
  * Make x11-common pre-depend on debconf | debconf-2.0. Thanks Steve
    Langasek. (closes: #362992)
  * Make x-window-system and x-window-system-core transitional packages that
    depend on the xorg package. These packages will smooth upgrades from sarge
    and will be removed upon the release of etch.
  * Make x11-common not depend on laptop-detect. This is now only recommended
    by xserver-xorg. Thanks Marc Wilson. (closes: #363081)
  * Have xserver-xorg-input-all pull in synaptics driver on all arches that
    it's set to build on. This required not loading the plain vars file in
    debian/rules, and having the variable listing the input drivers moved to
    the arch-specific vars files.

 -- David Nusinow <dnusinow@debian.org>  Mon, 17 Apr 2006 12:30:06 -0400

xorg (1:7.0.13) unstable; urgency=low

  * Fix shell snippet that provides the /usr/X11R6/bin dir->symlink
    transition. This prevents the test from succeeding incorrectly.
    Thanks Steve Langasek. (closes: #362940)
  * Fix case on xfs-xtt conflict for x11-common. Thanks Mike Furr.
    (closes: #362955)
  * Add x11-common conflict on xearth. Thanks Steve M. Robbins.
    (closes: #362524)

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Apr 2006 17:45:49 -0400

xorg (1:7.0.12) unstable; urgency=low

  * Move hardware autodetection stuff to Recommends rather than Depends.
    Also allow discover in addition to discover1. Thanks a lot of people.
    (closes: #322659, #362060,#362253)
  * Update list of x11-common conflicts. Thanks Steve Langasek.
    (closes: #362711)
  * Better document what can be done in the event that x11-common isn't empty
    on upgrade. Tell people in the error message that they can move the items
    there back after the installation has finished.
  * Make xserver-xorg-(input|video)-all arch: any rather than all, to let them
    build properly. Thanks Eugene Konev for the fix. Thanks Paul Wise and LIU
    Xin. (closes: #362719, #362720, #362694, #362672)
  * Remove the /usr/X11R6/bin/X symlink from xserver-xorg. Also bump the
    x11-common conflicts with xserver-xorg to this version. Thanks Joey Hess
    and Christian Hammers. Thanks to Steve Langasek for the fix.
    (closes: #362713, #362672)
  * Add pgaccess to the list of packages to conflict with. Thanks Bas
    Couwenberg. (closes: #362685)
  * Have safer and better logic for replacing the /usr/X11R6/bin dir with a
    symlink. Handle new installs. Thanks Bart Vanhaute. (closes: #362780)

 -- David Nusinow <dnusinow@debian.org>  Sat, 15 Apr 2006 12:41:32 -0400

xorg (1:7.0.11) unstable; urgency=low

  * Have xserver-xorg depend on xkb-data | xkb-data-legacy. Not a recommends
    any more. Thanks to a lot of people. (closes: #362112, #362105, #362521)
  * Make various metapackages arch: any rather than arch: all
  * Add s390 vars script source to allow the package to build on that arch.
    Provides only the dummy video driver currently.
    (closes: #361908, #361909)
  * On xserver-xorg postinst, reconfigure for all versions less than or equal
    to this one. This will only occur if the file is not customized. This will
    automatically correct for new font and xkb data paths. Users with
    customized files will have to make the necessary changes, documented in
    the NEWS.Debian file for the xserver-xorg-core package.
  * Have x11-common conflict with packages installing binaries to
    /usr/X11R6/bin. We need to remove them in order to install a proper
    symlink at this location to /usr/bin. Packages will still be able to
    install to /usr/X11R6/bin, but they need to be removed from the system
    first so that we can set up the symlink and not drop them out of the path.
    Thanks Steve Langasek. (closes: #362524, #362200)
  * Symlink /usr/X11R6/bin to /usr/bin in x11-common.postinst. Thanks Steve
    Langasek.
  * Several fixes for fonts. Include /usr/X11R6/lib/X11/fonts as a directory
    in x11-common for font packages that have not transitioned to the new
    directory. /usr/lib/X11/fonts symlinks to this directory. Both of these
    used to be symlinks to /usr/share/fonts/X11 but no longer. We explicitly
    remove the symlink at /usr/X11R6/lib/X11/fonts in the x11-common preinst
    to ensure this transition. Thanks Eugene Konev.
  * Document the change of PATH to /usr/X11R6/bin in x11-common NEWS.Debian
    file. Thanks Joey Hess. (closes: #362222)
  * Have x11-common conflict with libxft-dev <= 2.1.8.2-5. Thanks Margarita
    Manterola. (closes: #362255)
  * Document the metapackage name change in x11-common's NEWS.Debian.
  * Have xserver-xorg depend on xbase-clients
  * Ensure that config file md5sum gets migrated from /var/lib/xfree86 to
    /var/libx11. To do so, separate the test for it from the roster file in
    the xserver-xorg preinst. Properly handle the migration itself as well by
    using better variables in the mv command. Thanks Justin Pryzby.
    (closes: #331690)
  * Similarly separate the md5sum for the server symlink from the roster. Also
    handle the case where the server symlink md5sum is removed but the symlink
    itself is in place. Here we just remake the md5sum using that symlink
    silently.

 -- David Nusinow <dnusinow@debian.org>  Fri, 14 Apr 2006 01:38:14 -0400

xorg (1:7.0.10) unstable; urgency=low

  * Force migration of symlink if it points to /bin/true. Thanks Sune Vuorela
    for the bug report and Ari Pollak for the fix.
  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Sat,  8 Apr 2006 13:28:17 -0400

xorg (1:7.0.9) experimental; urgency=low

  * Put the Xsession stuff back in to x11-common. Thanks Arjan Oosting.
    (closes: #361025)

 -- David Nusinow <dnusinow@debian.org>  Fri,  7 Apr 2006 00:27:00 -0400

xorg (1:7.0.8) experimental; urgency=low

  * Add vars files for alpha, m68k, mips, mipsel, and arm. These are crude
    currently and definitely need refining from actual porters. If we're
    building useless drivers for your arch and including them in the
    metapackage, let us know and we'll disable them. Thanks Julien Cristau and
    Martin Michlmayr.

 -- David Nusinow <dnusinow@debian.org>  Tue,  4 Apr 2006 23:06:38 -0400

xorg (1:7.0.7) experimental; urgency=low

  * Add x11-common conflicts with monolithic versions of xserver-xorg. This
    will prevent the modular packages from screwing up old installations due
    to a partial install. Thanks Steve Langasek.
  * Add xlibs-static-dev transitional metapackage

 -- David Nusinow <dnusinow@debian.org>  Sun, 26 Mar 2006 19:18:31 -0500

xorg (1:7.0.6) experimental; urgency=low

  * At the urgent request of the release and ftp teams, xlibs must die. Have
    the xserver-xorg package recommend xkb-data instead. xkb-data should
    already be pulled in by several pieces including the xorg metapackage,
    xutils, and xbase-clients
  * Double the font compatibility symlink. One set at /usr/X11R6/lib/X11/fonts
    and one at /usr/lib/X11/fonts. Both point to /usr/share/fonts/X11, which
    is our home for the fonts.

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 23:29:42 -0500

xorg (1:7.0.5) experimental; urgency=low

  * Have xserver-xorg conflict and replace xserver-common. Thanks Miles Bader.
    (closes: #356781)

 -- David Nusinow <dnusinow@debian.org>  Sun, 19 Mar 2006 23:57:10 -0500

xorg (1:7.0.4) experimental; urgency=low

  * Name rgb.txt symlink properly so that the xserver actually finds it.
    Thanks Luca Capello.

 -- David Nusinow <dnusinow@debian.org>  Sun, 12 Mar 2006 12:58:04 -0500

xorg (1:7.0.3) experimental; urgency=low

  * Include rgb.txt from rgb 1.0.0 upstream release. Also provide symlink to
    /usr/share/X11 so that the server knows where to look. Thanks Lukasz
    Panowski. (closes: #356039)
  * Update dexconf for new font location. Thanks Svante Signell.
    (closes: #356181)

 -- David Nusinow <dnusinow@debian.org>  Sat, 11 Mar 2006 19:04:46 -0500

xorg (1:7.0.2) experimental; urgency=low

  * Have xorg-dev only depend on libxaw7-dev, not 6. Thanks Carsten Luedtke.
    (closes: #355703)

 -- David Nusinow <dnusinow@debian.org>  Tue,  7 Mar 2006 20:12:28 -0500

xorg (1:7.0.1) experimental; urgency=low

  * xorg depends on libgl1-mesa-glx now instead of the ubuntu package name.
    Thanks anonymous dude on my blog who should have used reportbug instead.
  * Provide compatibility packages for the Xorg 6.9 mesa packages. This
    package will be the only source of mesa packages in Debian for the
    present, and these packages will provide for smooth upgrades and
    compatibility.
  * Provide versioned dependencies for all the stuff xorg depends on.

 -- David Nusinow <dnusinow@debian.org>  Fri, 24 Feb 2006 01:13:18 -0500

xorg (1:7.0.0) experimental; urgency=low

  * First upload to Debian
  * Add an epoch due to idiocy while working on aborted experimental packages
  * This is a Debian-native package so version it accordingly
  * Remove xbase-clients and xutils metapackages. We're just bundling the apps
    in to one big source package right now
  * Convert to xsfbs
    + shell-lib.sh deleted in favor of xsfbs/xsfbs.sh
    + use targets for script generation and such from xsfbs/xsfbs.mk
  * Change driver metapackage naming to match individual packages:
    + xserver-xorg-driver -> xserver-xorg-video
    + Update the packaging variables that define arch-specific drivers to
      include in the metapackage as well to match these names
  * Remove extra depends on x11-common from xserver-xorg
  * Add debconf dependency for xserver-xorg
  * setuid for /usr/bin/X (stolen from monolith's debian/rules)
  * Provide xlibs and xlibs-data transitional packages. These are empty
    packages that depend on the packages that replace them.
  * Create an xorg metapackage that provides x-window-system(-core). This is a
    simpler name and should suffice. We don't need this split between -system
    and -system-core. If people want twm and so forth they can install it.
    This package installs -core plus xterm currently.
  * Re-add x-window-system-dev package under the new name of xorg-dev. Note to
    packagers: this is not meant to be build-dep'ed on, but is a convenience
    package for users.
  * Provide a compatibility symlink to /usr/lib/X11/fonts (their new home) at
    /usr/X11R6/lib/X11/fonts. This will let external fonts work as expected.
    Thanks Eugene Konev.

 -- David Nusinow <dnusinow@debian.org>  Mon, 20 Feb 2006 22:10:54 -0500

xorg (7.0.0-0ubuntu14) dapper; urgency=low

  * Support preseeding of xserver-xorg/config/display/default_depth even
    when autodetecting video. (Unfortunately, this will mean that people get
    the wrong default presented on second and subsequent low-priority
    reconfigures, though.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  3 Feb 2006 12:29:00 +0000

xorg (7.0.0-0ubuntu13) dapper; urgency=low

  * Would be nice if we would still exit 0, however...

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jan 2006 09:48:00 +0000

xorg (7.0.0-0ubuntu12) dapper; urgency=low

  * Make /etc/init.d/x11-common completely silent unless running VERBOSE.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Jan 2006 15:03:15 +0000

xorg (7.0.0-0ubuntu11) dapper; urgency=low

  * Fix first-installation logic to cope with being called from the postinst
    too (closes: Malone #29564).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2006 18:22:46 +0000

xorg (7.0.0-0ubuntu10) dapper; urgency=low

  * Remove xserver-xorg-driver-v4l and xserver-xorg-driver-glide from the
    Depends field of xserver-xorg-driver-all
  * Remove xserver-xorg-input-wacom from the Depends field of
    xserver-xorg-input-all
  * Add zlib1g-dev to the dependency list of xlibs-dev and remove
    xlibs-static-dev, since the latter no longer exists.
    
 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Jan 2006 11:25:57 +0100

xorg (7.0.0-0ubuntu9) dapper; urgency=low

  * Re-add xutils and xbase-clients metapackages.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 20 Jan 2006 16:39:24 +1100

xorg (7.0.0-0ubuntu8) dapper; urgency=low

  * Add xserver-xorg-driver-sisusb to amd64, i386 and powerpc; add
    -driver-voodoo to amd64 and i386.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 20 Jan 2006 15:27:03 +1100

xorg (7.0.0-0ubuntu7) dapper; urgency=low

  * Add dh_install call to binary-arch instead of just being in -indep
    (thanks, Andres Salomon).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 20 Jan 2006 10:21:13 +1100

xorg (7.0.0-0ubuntu6) dapper; urgency=low

  * Change xserver-xorg's dependency on x-common to x11-common.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 20 Jan 2006 01:39:58 +1100

xorg (7.0.0-0ubuntu5) dapper; urgency=low

  * Also check that /usr/bin/X11 isn't a symlink, since -d covers both
    directories, and symlinks to directories.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 20 Jan 2006 00:00:58 +1100

xorg (7.0.0-0ubuntu4) dapper; urgency=low

  * Clean debian/local/X instead of debian/local/xserver-wrapper, and make
    x11-common Arch: any instead of all.  I am clever.  (closes: Malone#28967)

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 Jan 2006 23:00:03 +1100

xorg (7.0.0-0ubuntu3) dapper; urgency=low

  * Perform x-common-esque symlink<->dir transitions in x11-common; add
    Conflicts on x-common.
  * Trim default set of input drivers down to evdev, keyboard, mouse, wacom.
  * Rejig handling of x-window-system-core depends.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 Jan 2006 17:06:53 +1100

xorg (7.0.0-0ubuntu2) dapper; urgency=low

  * Add laptop-detect dependency to x11-common, make preinst slightly more,
    er, robust, in the face of failure (closes: Malone#28911).
  * Add dependencies in laptop-detect, xresprobe, mdetect and discover1 to
    xserver-xorg.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 Jan 2006 08:33:23 +1100

xorg (7.0.0-0ubuntu1) dapper; urgency=low

  * This package now only provides metapackages; we're now modular for real
    real, not for play play.
  * The xlibs, xlibs-data, xlibs-static-dev, xlibs-static-pic, xbase-clients,
    xutils, and x-window-system-dev packages have been removed.  xlibs-dev
    remains.  For now.
  * Merge xserver-common and xorg-common packages into x11-common.
  * Rewrite keyboard detection list to work off d-i keymap only, not language
    too.
  * Drop support for upgrades from pre-sarge, remove support for
    XORG_FORCE_PROBE environment variable.  Remove support for
    non-multiplexed mice in dexconf.
  * Prune unneeded bits of shell-lib.sh (which turns out to be most of it).
  * Move xserver-xorg.config.in detection bits into .postinst.in, so it all
    happens in the one place, and we can use the X server to configure itself
    by detecting its own driver if need be.
  * Move all previous changelog entries to changelog.Debian.old.
  * neomagic is also special, in terms of mode validation on laptops
    (closes: Ubuntu#18957).
  * Move update-linux-hardened-support call from xserver-xorg postinst to
    xserver-xorg-core.
  * Move md5sum/roster directory to /var/lib/x11 from /var/lib/xfree86, and
    use /usr/bin/Xorg, instead of /usr/bin/X11/Xorg.
  * I don't think the following:
     Users of SGI Indigo2 XL machines, or machines with other buses not yet
     fully supported, should specify simply "1" here.  (This is not
     guaranteed to work.)
     was really necessary to have in a Debconf note, so let's remove it.
  * Get rid of write_dri_section question, and just always write it.
  * Replace $NOPROBE with $AUTODETECT_VIDEO, and $DOPROBE with $UPGRADE,
    inverting the senses of both variables.
  * Remove support for DEBUG_XFREE86_* variables (has been DEBUG_XORG_* for a
    while now).
  * Remove compatibility code for xresprobe < 0.4.13.
  * Remove long-unused 'are you on an LCD?' question.
  * Don't touch the config file when we're upgrading.  Specific migrations
    needed can be done in-place.
  * Add seconds to the backup xorg.conf file's name, so you can do multiple
    reconfigures in the same minute.
  * Remove language -> keymap 'smarts'.
  * Make xserver-xorg depend on either the full set of drivers
    (xserver-xorg-driver-all, xserver-xorg-input-all), or any individual
    driver (xserver-xorg-driver, xserver-xorg-input).
  * Remove all dependencies on -driver-atimisc, as it is part of -ati.
  * Nuke irrelevant history section and segue into xf86cfg description from
    dexconf's manpage, update XF86Config-4 references to talk about xorg.conf
    instead.
  * Remove code which checked if a given directory didn't exist ... right
    after it ensured it had been created.
  * Change default mouse protocol to ExplorerPS/2 (closes: Ubuntu#4106).
  * Remove support in dexconf for CID fonts, since mkcfm is wildly non-free.
  * Remove support for ZAxisMapping.
  * Ensure GLcore is removed from the module list when upgrading.
  * Remove XFree86 history spiel from x11-common description.
  * Add /usr/X11R6/bin/X -> /usr/bin/X link.
  * Ask the 'which server?' question at priority low.
  * Remove hppa's hardcoded null _INPUT_DEPENDS, as the libdl-based loader has
    dragged the rest of this architecture kicking and screaming into 1983.
    Unfortunately LaMont is still stuck in 1975, but you can't expect me to
    fix that.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  13 Oct 2005 10:06:23 +1000

Old Changelog:

  Older changelog entries (back to 4.0.1) can be found in changelog.Debian.old.
  Releases previous to this fixed the following security issues (details in
  changelog.Debian.old): CAN-2004-0419, CAN-2004-0083, CAN-2004-0084,
  CAN-2004-0106, CAN-2003-0690, CAN-2003-0730, CAN-2003-0690, CAN-2003-0063,
  CAN-2003-0071, CAN-2004-0093, CAN-2004-0094, CAN-2004-0093, CAN-2004-0094.
  These should all be moved to their respective source packages. -daniels

